View Issue Details

IDProjectCategoryView StatusLast Update
0008442Kali LinuxGeneral Bugpublic2023-09-13 10:20
Reporterlastlibertarian Assigned Toarnaudr  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionwon't fix 
Summary0008442: No sound after installing Kali 2023.3
Description

00:1f.3 Multimedia audio controller: Intel Corporation Alder Lake PCH-P High Definition Audio Controller (rev 01)
Subsystem: Huawei Technologies Co., Ltd. Alder Lake PCH-P High Definition Audio Controller
Kernel driver in use: sof-audio-pci-intel-tgl
Kernel modules: snd_hda_intel, snd_sof_pci_intel_tgl
00:1f.4 SMBus: Intel Corporation Alder Lake PCH-P SMBus Host Controller (rev 01)
Subsystem: Huawei Technologies Co., Ltd. Alder Lake PCH-P SMBus Host Controller

Activities

lastlibertarian

lastlibertarian

2023-08-30 19:16

reporter   ~0018418

Hello everyone.
I just installed Kali 2023.3 but unfortunately the audio doesn't work.
I did everything suggested here https://www.kali.org/docs/troubleshooting/no-sound/ but it didn't help.
I will be grateful for your help

pizdinio

pizdinio

2023-08-31 00:26

reporter   ~0018422

i also have problems with audio
it's stuttering every time i run anything, it makes video file unwatchable
i'm using kali inside vmware (as a guest) on a windows 11 machine and i think i've followed different guides but none of them worked, here they are:
https://www.kali.org/docs/troubleshooting/no-sound/
https://gitlab.freedesktop.org/pipewire/pipewire/-/wikis/Troubleshooting#stuttering-audio-in-virtual-machine
https://gitlab.freedesktop.org/pipewire/pipewire/-/wikis/Performance-tuning#firefox
i've also tried changing sound.virtualDev property in the vm config file to hdaudio and es1373 back and forth, disabling firefox hardware acceleration and restarting pipewire related services numerous times, but nothing works
any feedback appreciated

lastlibertarian

lastlibertarian

2023-09-01 21:50

reporter   ~0018433

I will be grateful for any help

Naveen Ch

Naveen Ch

2023-09-03 15:32

reporter   ~0018434

same problem dude

arnaudr

arnaudr

2023-09-06 03:36

manager   ~0018442

@lastlibertarian Are you also running Kali in a VM, or baremetal? Also, your problem is no sound at all, or stuttering sound?

@pizdinio It seems that your issue is different from the one the OP described, but similar to the issue reported at https://bugs.kali.org/view.php?id=8339. Please add a comment at https://bugs.kali.org/view.php?id=8339 instead, and let's keep discussing it over there.

I'd like to help, but I can't troubleshoot audio issues from a distance, especially if I don't have logs. The only way we could move forward here is if you drill into the logs of your system, and find suspicious logs related to the audio. Or, you leave a terminal open, run sudo journalctl -f, and then you notice some error logs at the same moment as the audio is stuttering (if that's the issue).

lastlibertarian

lastlibertarian

2023-09-08 18:14

reporter   ~0018453

I use Kali on baremetal. And the crux of the problem lies in the fact that there is no sound at all. Although the sound card is detected by the system (screenshot attached). Please tell me what logs you need and I will be happy to provide them.

arnaudr

arnaudr

2023-09-11 02:34

manager   ~0018457

Please run pw-dump and paste the output here, I'll do my best to make sense of it. Also, did you try to select another audio output (headphones) - does it work?

lastlibertarian

lastlibertarian

2023-09-11 13:03

reporter   ~0018458

Thank you for your help. The output of pw-dump is below. If I connect bluetooth headphones, the sound will work. But now I connected wired headphones and while the headphones are plugged into the connector, the speakers work, but the headphones do not work). As soon as I turn off the headphones, the sound disappears completely.

lastlibertarian

lastlibertarian

2023-09-11 13:03

reporter   ~0018459

[
{
"id": 0,
"type": "PipeWire:Interface:Core",
"version": 4,
"permissions": [ "r", "x", "m" ],
"info": {
"cookie": 1627667390,
"user-name": "ll",
"host-name": "kali",
"version": "0.3.78",
"name": "pipewire-0",
"change-mask": [ "props" ],
"props": {
"clock.power-of-two-quantum": true,
"config.name": "pipewire.conf",
"core.daemon": true,
"core.name": "pipewire-0",
"cpu.max-align": 32,
"default.clock.max-quantum": 2048,
"default.clock.min-quantum": 32,
"default.clock.quantum": 1024,
"default.clock.quantum-limit": 8192,
"default.clock.rate": 48000,
"default.video.height": 480,
"default.video.rate.denom": 1,
"default.video.rate.num": 25,
"default.video.width": 640,
"link.max-buffers": 16,
"log.level": 2,
"mem.allow-mlock": true,
"mem.warn-mlock": false,
"module.access": true,
"module.x11.bell": true,
"object.id": 0,
"object.serial": 0,
"settings.check-quantum": false,
"settings.check-rate": false
}
}
},
{
"id": 1,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-rt",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-rt.so",
"args": "{\n nice.level = -11\n #rt.prio = 88\n #rt.time.soft = -1\n #rt.time.hard = -1\n }",
"change-mask": [ "props" ],
"props": {
"module.author": "Wim Taymans <[email protected]>",
"module.description": "Use realtime thread scheduling, falling back to RTKit",
"module.name": "libpipewire-module-rt",
"module.usage": "( nice.level=<priority: default 20(don't change)> ) ( rt.prio=<priority: default 88> ) ( rt.time.soft=<in usec: default -1> ) ( rt.time.hard=<in usec: default -1> ) ( rlimits.enabled=<default true> ) ( rtportal.enabled=<default true> ) ( rtkit.enabled=<default true> ) ",
"module.version": "0.3.78",
"nice.level": -11,
"object.id": 1,
"object.serial": 1
}
}
},
{
"id": 2,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-protocol-native",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-protocol-native.so",
"args": null,
"change-mask": [ "props" ],
"props": {
"module.author": "Wim Taymans <[email protected]>",
"module.description": "Native protocol using unix sockets",
"module.name": "libpipewire-module-protocol-native",
"module.version": "0.3.78",
"object.id": 2,
"object.serial": 2
}
}
},
{
"id": 4,
"type": "PipeWire:Interface:Profiler",
"version": 3,
"permissions": [ "r" ],
"props": {
"object.serial": 4
}
},
{
"id": 3,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-profiler",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-profiler.so",
"args": null,
"change-mask": [ "props" ],
"props": {
"module.author": "Wim Taymans <[email protected]>",
"module.description": "Generate Profiling data",
"module.name": "libpipewire-module-profiler",
"module.version": "0.3.78",
"object.id": 3,
"object.serial": 3
}
}
},
{
"id": 5,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-metadata",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-metadata.so",
"args": null,
"change-mask": [ "props" ],
"props": {
"module.author": "Wim Taymans <[email protected]>",
"module.description": "Allow clients to create metadata store",
"module.name": "libpipewire-module-metadata",
"module.version": "0.3.78",
"object.id": 5,
"object.serial": 5
}
}
},
{
"id": 6,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "metadata",
"type": "PipeWire:Interface:Metadata",
"version": 3,
"change-mask": [ "props" ],
"props": {
"factory.name": "metadata",
"factory.type.name": "PipeWire:Interface:Metadata",
"factory.type.version": 3,
"factory.usage": "(metadata.name = <name> ) (metadata.values = [ { ( id = <int> ) key = <string> ( type = <string> ) value = <json> } ... ] )",
"module.id": 5,
"object.id": 6,
"object.serial": 6
}
}
},
{
"id": 7,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-spa-device-factory",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-spa-device-factory.so",
"args": null,
"change-mask": [ "props" ],
"props": {
"module.author": "Wim Taymans <[email protected]>",
"module.description": "Provide a factory to make SPA devices",
"module.name": "libpipewire-module-spa-device-factory",
"module.version": "0.3.78",
"object.id": 7,
"object.serial": 7
}
}
},
{
"id": 8,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "spa-device-factory",
"type": "PipeWire:Interface:Device",
"version": 3,
"change-mask": [ "props" ],
"props": {
"factory.name": "spa-device-factory",
"factory.type.name": "PipeWire:Interface:Device",
"factory.type.version": 3,
"module.id": 7,
"object.id": 8,
"object.serial": 8
}
}
},
{
"id": 9,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-spa-node-factory",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-spa-node-factory.so",
"args": null,
"change-mask": [ "props" ],
"props": {
"module.author": "Wim Taymans <[email protected]>",
"module.description": "Provide a factory to make SPA nodes",
"module.name": "libpipewire-module-spa-node-factory",
"module.version": "0.3.78",
"object.id": 9,
"object.serial": 9
}
}
},
{
"id": 10,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "spa-node-factory",
"type": "PipeWire:Interface:Node",
"version": 3,
"change-mask": [ "props" ],
"props": {
"factory.name": "spa-node-factory",
"factory.type.name": "PipeWire:Interface:Node",
"factory.type.version": 3,
"module.id": 9,
"object.id": 10,
"object.serial": 10
}
}
},
{
"id": 11,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-client-node",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-client-node.so",
"args": null,
"change-mask": [ "props" ],
"props": {
"module.author": "Wim Taymans <[email protected]>",
"module.description": "Allow clients to create and control remote nodes",
"module.name": "libpipewire-module-client-node",
"module.version": "0.3.78",
"object.id": 11,
"object.serial": 11
}
}
},
{
"id": 12,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "client-node",
"type": "PipeWire:Interface:ClientNode",
"version": 5,
"change-mask": [ "props" ],
"props": {
"factory.name": "client-node",
"factory.type.name": "PipeWire:Interface:ClientNode",
"factory.type.version": 5,
"module.id": 11,
"object.id": 12,
"object.serial": 12
}
}
},
{
"id": 13,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-client-device",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-client-device.so",
"args": null,
"change-mask": [ "props" ],
"props": {
"module.author": "Wim Taymans <[email protected]>",
"module.description": "Allow clients to create and control remote devices",
"module.name": "libpipewire-module-client-device",
"module.version": "0.3.78",
"object.id": 13,
"object.serial": 13
}
}
},
{
"id": 14,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "client-device",
"type": "Spa:Pointer:Interface:Device",
"version": 0,
"change-mask": [ "props" ],
"props": {
"factory.name": "client-device",
"factory.type.name": "Spa:Pointer:Interface:Device",
"factory.type.version": 0,
"factory.usage": "[device.name=<string>]",
"module.id": 13,
"object.id": 14,
"object.serial": 14
}
}
},
{
"id": 15,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-portal",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-portal.so",
"args": null,
"change-mask": [ "props" ],
"props": {
"module.name": "libpipewire-module-portal",
"object.id": 15,
"object.serial": 15
}
}
},
{
"id": 16,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-access",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-access.so",
"args": "{\n # access.allowed to list an array of paths of allowed\n # apps.\n #access.allowed = [\n # /usr/bin/pipewire-media-session\n #]\n\n # An array of rejected paths.\n #access.rejected = [ ]\n\n # An array of paths with restricted access.\n #access.restricted = [ ]\n\n # Anything not in the above lists gets assigned the\n # access.force permission.\n #access.force = flatpak\n }",
"change-mask": [ "props" ],
"props": {
"module.author": "Wim Taymans <[email protected]>",
"module.description": "Perform access check",
"module.name": "libpipewire-module-access",
"module.usage": "( access.force=flatpak ) ( access.allowed= [ <cmd-line>,.. ] ) ( access.rejected= [ <cmd-line>,.. ] ) ( access.restricted= [ <cmd-line>,.. ] ) ",
"module.version": "0.3.78",
"object.id": 16,
"object.serial": 16
}
}
},
{
"id": 17,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-adapter",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-adapter.so",
"args": null,
"change-mask": [ "props" ],
"props": {
"module.author": "Wim Taymans <[email protected]>",
"module.description": "Manage adapter nodes",
"module.name": "libpipewire-module-adapter",
"module.version": "0.3.78",
"object.id": 17,
"object.serial": 17
}
}
},
{
"id": 18,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "adapter",
"type": "PipeWire:Interface:Node",
"version": 3,
"change-mask": [ "props" ],
"props": {
"factory.name": "adapter",
"factory.type.name": "PipeWire:Interface:Node",
"factory.type.version": 3,
"factory.usage": "factory.name=<factory-name> (library.name=<library-name>) node.name=<string> ",
"module.id": 17,
"object.id": 18,
"object.serial": 18
}
}
},
{
"id": 19,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-link-factory",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-link-factory.so",
"args": null,
"change-mask": [ "props" ],
"props": {
"module.author": "Wim Taymans <[email protected]>",
"module.description": "Allow clients to create links",
"module.name": "libpipewire-module-link-factory",
"module.usage": "( allow.link.passive=<bool, default false> ) ",
"module.version": "0.3.78",
"object.id": 19,
"object.serial": 19
}
}
},
{
"id": 20,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "link-factory",
"type": "PipeWire:Interface:Link",
"version": 3,
"change-mask": [ "props" ],
"props": {
"factory.name": "link-factory",
"factory.type.name": "PipeWire:Interface:Link",
"factory.type.version": 3,
"factory.usage": "(link.output.node=<output-node>) (link.output.port=<output-port>) (link.input.node=<input-node>) (link.input.port=<input-port>) (object.linger=<bool>) (link.passive=<bool>)",
"module.id": 19,
"object.id": 20,
"object.serial": 20
}
}
},
{
"id": 21,
"type": "PipeWire:Interface:Module",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "libpipewire-module-session-manager",
"filename": "/usr/lib/x86_64-linux-gnu/pipewire-0.3/libpipewire-module-session-manager.so",
"args": null,
"change-mask": [ "props" ],
"props": {
"module.author": "George Kiagiadakis <[email protected]>",
"module.description": "Implements objects for session management",
"module.name": "libpipewire-module-session-manager",
"module.version": "0.3.78",
"object.id": 21,
"object.serial": 21
}
}
},
{
"id": 22,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "client-endpoint",
"type": "PipeWire:Interface:ClientEndpoint",
"version": 0,
"change-mask": [ "props" ],
"props": {
"factory.name": "client-endpoint",
"factory.type.name": "PipeWire:Interface:ClientEndpoint",
"factory.type.version": 0,
"module.id": 21,
"object.id": 22,
"object.serial": 22
}
}
},
{
"id": 23,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "client-session",
"type": "PipeWire:Interface:ClientSession",
"version": 0,
"change-mask": [ "props" ],
"props": {
"factory.name": "client-session",
"factory.type.name": "PipeWire:Interface:ClientSession",
"factory.type.version": 0,
"module.id": 21,
"object.id": 23,
"object.serial": 23
}
}
},
{
"id": 24,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "session",
"type": "PipeWire:Interface:Session",
"version": 0,
"change-mask": [ "props" ],
"props": {
"factory.name": "session",
"factory.type.name": "PipeWire:Interface:Session",
"factory.type.version": 0,
"module.id": 21,
"object.id": 24,
"object.serial": 24
}
}
},
{
"id": 25,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "endpoint",
"type": "PipeWire:Interface:Endpoint",
"version": 0,
"change-mask": [ "props" ],
"props": {
"factory.name": "endpoint",
"factory.type.name": "PipeWire:Interface:Endpoint",
"factory.type.version": 0,
"module.id": 21,
"object.id": 25,
"object.serial": 25
}
}
},
{
"id": 26,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "endpoint-stream",
"type": "PipeWire:Interface:EndpointStream",
"version": 0,
"change-mask": [ "props" ],
"props": {
"factory.name": "endpoint-stream",
"factory.type.name": "PipeWire:Interface:EndpointStream",
"factory.type.version": 0,
"module.id": 21,
"object.id": 26,
"object.serial": 26
}
}
},
{
"id": 27,
"type": "PipeWire:Interface:Factory",
"version": 3,
"permissions": [ "r", "m" ],
"info": {
"name": "endpoint-link",
"type": "PipeWire:Interface:EndpointLink",
"version": 0,
"change-mask": [ "props" ],
"props": {
"factory.name": "endpoint-link",
"factory.type.name": "PipeWire:Interface:EndpointLink",
"factory.type.version": 0,
"module.id": 21,
"object.id": 27,
"object.serial": 27
}
}
},
{
"id": 28,
"type": "PipeWire:Interface:Node",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"max-input-ports": 0,
"max-output-ports": 0,
"change-mask": [ "input-ports", "output-ports", "state", "props", "params" ],
"n-input-ports": 0,
"n-output-ports": 0,
"state": "suspended",
"error": null,
"props": {
"clock.id": "monotonic",
"clock.name": "clock.system.monotonic",
"clock.quantum-limit": 8192,
"factory.id": 10,
"factory.name": "support.node.driver",
"node.driver": true,
"node.group": "pipewire.dummy",
"node.name": "Dummy-Driver",
"object.id": 28,
"object.serial": 28,
"priority.driver": 20000
},
"params": {
}
}
},
{
"id": 29,
"type": "PipeWire:Interface:Node",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"max-input-ports": 0,
"max-output-ports": 0,
"change-mask": [ "input-ports", "output-ports", "state", "props", "params" ],
"n-input-ports": 0,
"n-output-ports": 0,
"state": "suspended",
"error": null,
"props": {
"clock.id": "monotonic",
"clock.name": "clock.system.monotonic",
"clock.quantum-limit": 8192,
"factory.id": 10,
"factory.name": "support.node.driver",
"node.driver": true,
"node.freewheel": true,
"node.group": "pipewire.freewheel",
"node.name": "Freewheel-Driver",
"object.id": 29,
"object.serial": 29,
"priority.driver": 19000
},
"params": {
}
}
},
{
"id": 30,
"type": "PipeWire:Interface:Metadata",
"version": 3,
"permissions": [ "r", "w", "x" ],
"props": {
"metadata.name": "settings",
"object.serial": 30
},
"metadata": [
{ "subject": 0, "key": "log.level", "type": "", "value": 2 },
{ "subject": 0, "key": "clock.rate", "type": "", "value": 48000 },
{ "subject": 0, "key": "clock.allowed-rates", "type": "", "value": "[ 48000 ]" },
{ "subject": 0, "key": "clock.quantum", "type": "", "value": 1024 },
{ "subject": 0, "key": "clock.min-quantum", "type": "", "value": 32 },
{ "subject": 0, "key": "clock.max-quantum", "type": "", "value": 2048 },
{ "subject": 0, "key": "clock.force-quantum", "type": "", "value": 0 },
{ "subject": 0, "key": "clock.force-rate", "type": "", "value": 0 }
]
},
{
"id": 31,
"type": "PipeWire:Interface:Client",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"change-mask": [ "props" ],
"props": {
"application.language": "en_US.UTF-8",
"application.name": "pipewire",
"application.process.binary": "pipewire",
"application.process.host": "kali",
"application.process.id": 2771,
"application.process.user": "ll",
"clock.power-of-two-quantum": true,
"config.name": "pipewire-pulse.conf",
"core.name": "pipewire-ll-2771",
"core.version": "0.3.78",
"cpu.max-align": 32,
"default.clock.max-quantum": 2048,
"default.clock.min-quantum": 32,
"default.clock.quantum": 1024,
"default.clock.quantum-limit": 8192,
"default.clock.rate": 48000,
"default.video.height": 480,
"default.video.rate.denom": 1,
"default.video.rate.num": 25,
"default.video.width": 640,
"link.max-buffers": 64,
"log.level": 2,
"mem.allow-mlock": true,
"mem.warn-mlock": false,
"module.id": 2,
"object.id": 31,
"object.serial": 31,
"pipewire.access": "unrestricted",
"pipewire.protocol": "protocol-native",
"pipewire.sec.gid": 1000,
"pipewire.sec.pid": 2771,
"pipewire.sec.uid": 1000,
"settings.check-quantum": false,
"settings.check-rate": false
}
}
},
{
"id": 33,
"type": "PipeWire:Interface:Client",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"change-mask": [ "props" ],
"props": {
"application.language": "en_US.UTF-8",
"application.name": "WirePlumber",
"application.process.binary": "wireplumber",
"application.process.host": "kali",
"application.process.id": 2770,
"application.process.user": "ll",
"clock.power-of-two-quantum": true,
"config.name": "/usr/share/wireplumber/wireplumber.conf",
"core.name": "pipewire-ll-2770",
"core.version": "0.3.78",
"cpu.max-align": 32,
"default.clock.max-quantum": 2048,
"default.clock.min-quantum": 32,
"default.clock.quantum": 1024,
"default.clock.quantum-limit": 8192,
"default.clock.rate": 48000,
"default.video.height": 480,
"default.video.rate.denom": 1,
"default.video.rate.num": 25,
"default.video.width": 640,
"link.max-buffers": 64,
"log.level": 2,
"mem.allow-mlock": true,
"mem.warn-mlock": false,
"module.id": 2,
"object.id": 33,
"object.serial": 33,
"pipewire.access": "unrestricted",
"pipewire.protocol": "protocol-native",
"pipewire.sec.gid": 1000,
"pipewire.sec.pid": 2770,
"pipewire.sec.uid": 1000,
"settings.check-quantum": false,
"settings.check-rate": false,
"wireplumber.daemon": true,
"wireplumber.export-core": true,
"wireplumber.script-engine": "lua-scripting"
}
}
},
{
"id": 34,
"type": "PipeWire:Interface:Client",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"change-mask": [ "props" ],
"props": {
"application.language": "en_US.UTF-8",
"application.name": "WirePlumber [export]",
"application.process.binary": "wireplumber",
"application.process.host": "kali",
"application.process.id": 2770,
"application.process.user": "ll",
"clock.power-of-two-quantum": true,
"config.name": "/usr/share/wireplumber/wireplumber.conf",
"core.name": "pipewire-ll-2770",
"core.version": "0.3.78",
"cpu.max-align": 32,
"default.clock.max-quantum": 2048,
"default.clock.min-quantum": 32,
"default.clock.quantum": 1024,
"default.clock.quantum-limit": 8192,
"default.clock.rate": 48000,
"default.video.height": 480,
"default.video.rate.denom": 1,
"default.video.rate.num": 25,
"default.video.width": 640,
"link.max-buffers": 64,
"log.level": 2,
"mem.allow-mlock": true,
"mem.warn-mlock": false,
"module.id": 2,
"object.id": 34,
"object.serial": 34,
"pipewire.access": "unrestricted",
"pipewire.protocol": "protocol-native",
"pipewire.sec.gid": 1000,
"pipewire.sec.pid": 2770,
"pipewire.sec.uid": 1000,
"settings.check-quantum": false,
"settings.check-rate": false,
"wireplumber.daemon": true,
"wireplumber.export-core": true,
"wireplumber.script-engine": "lua-scripting"
}
}
},
{
"id": 35,
"type": "PipeWire:Interface:Metadata",
"version": 3,
"permissions": [ "r", "w", "x" ],
"props": {
"client.id": 33,
"factory.id": 6,
"metadata.name": "default",
"module.id": 5,
"object.serial": 35
},
"metadata": [
{ "subject": 0, "key": "default.configured.audio.sink", "type": "Spa:String:JSON", "value": { "name": "bluez_output.98_DD_60_E4_CE_EE.1" } },
{ "subject": 0, "key": "default.audio.sink", "type": "Spa:String:JSON", "value": { "name": "alsa_output.pci-0000_00_1f.3-platform-skl_hda_dsp_generic.HiFihw_sofhdadspsink" } },
{ "subject": 0, "key": "default.audio.source", "type": "Spa:String:JSON", "value": { "name": "alsa_input.pci-0000_00_1f.3-platform-skl_hda_dsp_generic.HiFi
hw_sofhdadsp_6__source" } }
]
},
{
"id": 36,
"type": "PipeWire:Interface:Metadata",
"version": 3,
"permissions": [ "r", "w", "x" ],
"props": {
"client.id": 33,
"factory.id": 6,
"metadata.name": "route-settings",
"module.id": 5,
"object.serial": 36
},
"metadata": [
{ "subject": 0, "key": "restore.stream.Output/Audio.media.role:Notification", "type": "Spa:String:JSON", "value": { "volumes": [ 1.000000, 1.000000 ], "volume": 1.000000, "channels": [ "FL", "FR" ], "mute": false } }
]
},
{
"id": 37,
"type": "PipeWire:Interface:Node",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"max-input-ports": 256,
"max-output-ports": 256,
"change-mask": [ "input-ports", "output-ports", "state", "props", "params" ],
"n-input-ports": 1,
"n-output-ports": 1,
"state": "suspended",
"error": null,
"props": {
"client.id": 34,
"clock.quantum-limit": 8192,
"device.api": "alsa",
"factory.id": 10,
"factory.name": "api.alsa.seq.bridge",
"media.class": "Midi/Bridge",
"node.driver": true,
"node.name": "Midi-Bridge",
"object.id": 37,
"object.serial": 37
},
"params": {
"PropInfo": [
{
"id": "device",
"description": "The ALSA device",
"type": "default"
}
],
"Props": [
{
"device": "default"
}
],
"IO": [
{
"id": "Clock",
"size": 160
},
{
"id": "Position",
"size": 1688
}
]
}
}
},
{
"id": 38,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "input",
"change-mask": [ "props", "params" ],
"props": {
"format.dsp": "8 bit raw midi",
"node.id": 37,
"object.id": 38,
"object.path": "alsa:seq:default:client_14:playback_0",
"object.serial": 38,
"port.alias": "Midi Through:Midi Through Port-0",
"port.direction": "in",
"port.id": 0,
"port.name": "Midi Through:(playback_0) Midi Through Port-0",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "application",
"mediaSubtype": "control"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 39,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"format.dsp": "8 bit raw midi",
"node.id": 37,
"object.id": 39,
"object.path": "alsa:seq:default:client_14:capture_0",
"object.serial": 39,
"port.alias": "Midi Through:Midi Through Port-0",
"port.direction": "out",
"port.id": 0,
"port.name": "Midi Through:(capture_0) Midi Through Port-0",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "application",
"mediaSubtype": "control"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 40,
"type": "PipeWire:Interface:Device",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"change-mask": [ "props", "params" ],
"props": {
"alsa.card": 0,
"alsa.card_name": "sof-hda-dsp",
"alsa.driver_name": "snd_soc_skl_hda_dsp",
"alsa.long_card_name": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"api.acp.auto-port": false,
"api.acp.auto-profile": false,
"api.alsa.card": 0,
"api.alsa.card.longname": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"api.alsa.card.name": "sof-hda-dsp",
"api.alsa.path": "hw:0",
"api.alsa.use-acp": true,
"api.dbus.ReserveDevice1": "Audio0",
"client.id": 34,
"device.api": "alsa",
"device.bus": "pci",
"device.bus-path": "pci-0000:00:1f.3-platform-skl_hda_dsp_generic",
"device.description": "Alder Lake PCH-P High Definition Audio Controller",
"device.enum.api": "udev",
"device.icon-name": "audio-card-analog-pci",
"device.name": "alsa_card.pci-0000_00_1f.3-platform-skl_hda_dsp_generic",
"device.nick": "sof-hda-dsp",
"device.plugged.usec": 16473084,
"device.product.id": "0x51c8",
"device.product.name": "Alder Lake PCH-P High Definition Audio Controller",
"device.string": 0,
"device.subsystem": "sound",
"device.sysfs.path": "/devices/pci0000:00/0000:00:1f.3/skl_hda_dsp_generic/sound/card0",
"device.vendor.id": "0x8086",
"device.vendor.name": "Intel Corporation",
"factory.id": 14,
"media.class": "Audio/Device",
"object.id": 40,
"object.path": "alsa:pcm:0",
"object.serial": 40
},
"params": {
"EnumProfile": [
{
"index": 0,
"name": "off",
"description": "Off",
"priority": 0,
"available": "yes",
"classes": [
0
]
},
{
"index": 1,
"name": "HiFi",
"description": "Play HiFi quality Music",
"priority": 8000,
"available": "yes",
"classes": [
2,
[
"Audio/Source",
2,
"card.profile.devices",
[ 4, 5 ]
],
[
"Audio/Sink",
4,
"card.profile.devices",
[ 0, 1, 2, 3 ]
]
]
},
{
"index": 2,
"name": "pro-audio",
"description": "Pro Audio",
"priority": 1,
"available": "unknown",
"classes": [
2,
[
"Audio/Source",
3,
"card.profile.devices",
[ 11, 12, 13 ]
],
[
"Audio/Sink",
5,
"card.profile.devices",
[ 6, 7, 8, 9, 10 ]
]
]
}
],
"Profile": [
{
"index": 1,
"name": "HiFi",
"description": "Play HiFi quality Music",
"priority": 8000,
"available": "yes",
"classes": [
2,
[
"Audio/Source",
2,
"card.profile.devices",
[ 4, 5 ]
],
[
"Audio/Sink",
4,
"card.profile.devices",
[ 0, 1, 2, 3 ]
]
],
"save": false
}
],
"EnumRoute": [
{
"index": 0,
"direction": "Output",
"name": "[Out] HDMI3",
"description": "HDMI / DisplayPort 3 Output",
"priority": 700,
"available": "no",
"info": [
4,
"port.type",
"hdmi",
"port.availability-group",
"HDMI/DP,pcm=5",
"device.icon_name",
"video-display",
"card.profile.port",
"0"
],
"profiles": [ 1 ],
"devices": [ 0 ]
},
{
"index": 1,
"direction": "Output",
"name": "[Out] HDMI2",
"description": "HDMI / DisplayPort 2 Output",
"priority": 600,
"available": "no",
"info": [
4,
"port.type",
"hdmi",
"port.availability-group",
"HDMI/DP,pcm=4",
"device.icon_name",
"video-display",
"card.profile.port",
"1"
],
"profiles": [ 1 ],
"devices": [ 1 ]
},
{
"index": 2,
"direction": "Output",
"name": "[Out] HDMI1",
"description": "HDMI / DisplayPort 1 Output",
"priority": 500,
"available": "no",
"info": [
4,
"port.type",
"hdmi",
"port.availability-group",
"HDMI/DP,pcm=3",
"device.icon_name",
"video-display",
"card.profile.port",
"2"
],
"profiles": [ 1 ],
"devices": [ 2 ]
},
{
"index": 3,
"direction": "Output",
"name": "[Out] Speaker",
"description": "Speaker",
"priority": 100,
"available": "unknown",
"info": [
3,
"port.type",
"speaker",
"device.icon_name",
"audio-speakers",
"card.profile.port",
"3"
],
"profiles": [ 1 ],
"devices": [ 3 ]
},
{
"index": 4,
"direction": "Output",
"name": "[Out] Headphones",
"description": "Headphones",
"priority": 200,
"available": "no",
"info": [
4,
"port.type",
"headphones",
"port.availability-group",
"Headphone",
"device.icon_name",
"audio-headphones",
"card.profile.port",
"4"
],
"profiles": [ 1 ],
"devices": [ 3 ]
},
{
"index": 5,
"direction": "Input",
"name": "[In] Mic2",
"description": "Headphones Stereo Microphone",
"priority": 200,
"available": "no",
"info": [
4,
"port.type",
"mic",
"port.availability-group",
"Mic",
"device.icon_name",
"audio-input-microphone",
"card.profile.port",
"5"
],
"profiles": [ 1 ],
"devices": [ 4 ]
},
{
"index": 6,
"direction": "Input",
"name": "[In] Mic1",
"description": "Digital Microphone",
"priority": 100,
"available": "unknown",
"info": [
3,
"port.type",
"mic",
"device.icon_name",
"audio-input-microphone",
"card.profile.port",
"6"
],
"profiles": [ 1 ],
"devices": [ 5 ]
}
],
"Route": [
{
"index": 3,
"direction": "Output",
"name": "[Out] Speaker",
"description": "Speaker",
"priority": 100,
"available": "unknown",
"info": [
5,
"port.type",
"speaker",
"device.icon_name",
"audio-speakers",
"card.profile.port",
"3",
"route.hw-mute",
"true",
"route.hw-volume",
"true"
],
"profiles": [ 1 ],
"device": 3,
"props": {
"mute": false,
"channelVolumes": [ 0.070794, 0.070794 ],
"volumeBase": 1.000000,
"volumeStep": 0.000015,
"channelMap": [ "FL", "FR" ],
"softVolumes": [ 1.000000, 1.000000 ],
"latencyOffsetNsec": 0
},
"devices": [ 3 ],
"profile": 1,
"save": true
},
{
"index": 6,
"direction": "Input",
"name": "[In] Mic1",
"description": "Digital Microphone",
"priority": 100,
"available": "unknown",
"info": [
5,
"port.type",
"mic",
"device.icon_name",
"audio-input-microphone",
"card.profile.port",
"6",
"route.hw-mute",
"true",
"route.hw-volume",
"true"
],
"profiles": [ 1 ],
"device": 5,
"props": {
"mute": false,
"channelVolumes": [ 1.157585, 1.157585, 1.157585, 1.157585 ],
"volumeBase": 0.099999,
"volumeStep": 0.000015,
"channelMap": [ "FL", "FR", "RL", "RR" ],
"softVolumes": [ 1.157585, 1.157585, 1.157585, 1.157585 ],
"latencyOffsetNsec": 0
},
"devices": [ 5 ],
"profile": 1,
"save": true
}
]
}
}
},
{
"id": 45,
"type": "PipeWire:Interface:Node",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"max-input-ports": 65,
"max-output-ports": 0,
"change-mask": [ "input-ports", "output-ports", "state", "props", "params" ],
"n-input-ports": 2,
"n-output-ports": 2,
"state": "suspended",
"error": null,
"props": {
"alsa.card": 0,
"alsa.card_name": "sof-hda-dsp",
"alsa.class": "generic",
"alsa.device": 5,
"alsa.driver_name": "snd_soc_skl_hda_dsp",
"alsa.id": "HDMI3 (*)",
"alsa.long_card_name": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"alsa.mixer_device": "_ucm0001.hw:sofhdadsp",
"alsa.name": "",
"alsa.resolution_bits": 16,
"alsa.subclass": "generic-mix",
"alsa.subdevice": 0,
"alsa.subdevice_name": "subdevice #0",
"api.alsa.card.longname": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"api.alsa.card.name": "sof-hda-dsp",
"api.alsa.open.ucm": true,
"api.alsa.path": "hw:sofhdadsp,5",
"api.alsa.pcm.card": 0,
"api.alsa.pcm.stream": "playback",
"audio.adapt.follower": "",
"audio.channels": 2,
"audio.position": "FL,FR",
"card.profile.device": 0,
"client.id": 34,
"clock.quantum-limit": 8192,
"device.api": "alsa",
"device.class": "sound",
"device.id": 40,
"device.profile.description": "HDMI / DisplayPort 3 Output",
"device.profile.name": "HiFi: hw:sofhdadsp,5: sink",
"device.routes": 1,
"factory.id": 18,
"factory.mode": "merge",
"factory.name": "api.alsa.pcm.sink",
"library.name": "audioconvert/libspa-audioconvert",
"media.class": "Audio/Sink",
"node.description": "Alder Lake PCH-P High Definition Audio Controller HDMI / DisplayPort 3 Output",
"node.driver": true,
"node.name": "alsa_output.pci-0000_00_1f.3-platform-skl_hda_dsp_generic.HiFi
hw_sofhdadsp_5__sink",
"node.nick": "HDMI / DisplayPort 3 Output",
"node.pause-on-idle": false,
"object.id": 45,
"object.path": "alsa:pcm:0:hw:sofhdadsp,5:playback",
"object.serial": 45,
"priority.driver": 664,
"priority.session": 664
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "raw",
"format": {
"default": "S24_32LE",
"alt1": "S24_32LE",
"alt2": "S16LE"
},
"rate": 48000,
"channels": 2,
"position": [ "FL", "FR" ]
}
],
"PropInfo": [
{
"id": "volume",
"description": "Volume",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 }
},
{
"id": "mute",
"description": "Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "channelVolumes",
"description": "Channel Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"id": "channelMap",
"description": "Channel Map",
"type": "",
"container": "Array"
},
{
"id": "monitorMute",
"description": "Monitor Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "monitorVolumes",
"description": "Monitor Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"id": "softMute",
"description": "Soft Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "softVolumes",
"description": "Soft Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"name": "monitor.channel-volumes",
"description": "Monitor channel volume",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.disable",
"description": "Disable Channel mixing",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.min-volume",
"description": "Minimum volume level",
"type": { "default": 0.000000, "min": 0.000000, "max": 10.000000 },
"params": true
},
{
"name": "channelmix.max-volume",
"description": "Maximum volume level",
"type": { "default": 10.000000, "min": 0.000000, "max": 10.000000 },
"params": true
},
{
"name": "channelmix.normalize",
"description": "Normalize Volumes",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.mix-lfe",
"description": "Mix LFE into channels",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "channelmix.upmix",
"description": "Enable upmixing",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "channelmix.lfe-cutoff",
"description": "LFE cutoff frequency",
"type": { "default": 0.000000, "min": 0.000000, "max": 1000.000000 },
"params": true
},
{
"name": "channelmix.fc-cutoff",
"description": "FC cutoff frequency (Hz)",
"type": { "default": 0.000000, "min": 0.000000, "max": 48000.000000 },
"params": true
},
{
"name": "channelmix.rear-delay",
"description": "Rear channels delay (ms)",
"type": { "default": 0.000000, "min": 0.000000, "max": 1000.000000 },
"params": true
},
{
"name": "channelmix.stereo-widen",
"description": "Stereo widen",
"type": { "default": 0.000000, "min": 0.000000, "max": 1.000000 },
"params": true
},
{
"name": "channelmix.hilbert-taps",
"description": "Taps for phase shift of rear",
"type": { "default": 0, "min": 0, "max": 255 },
"params": true
},
{
"name": "channelmix.upmix-method",
"description": "Upmix method to use",
"type": "none",
"params": true,
"labels": [
"none",
"Disabled",
"simple",
"Simple upmixing",
"psd",
"Passive Surround Decoding"
]
},
{
"id": "rate",
"description": "Rate scaler",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 }
},
{
"id": "quality",
"name": "resample.quality",
"description": "Resample Quality",
"type": { "default": 4, "min": 0, "max": 14 },
"params": true
},
{
"name": "resample.disable",
"description": "Disable Resampling",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "dither.noise",
"description": "Add noise bits",
"type": { "default": 0, "min": 0, "max": 16 },
"params": true
},
{
"name": "dither.method",
"description": "The dithering method",
"type": "none",
"params": true,
"labels": [
"none",
"Disabled",
"rectangular",
"Rectangular dithering",
"triangular",
"Triangular dithering",
"triangular-hf",
"Sloped Triangular dithering",
"wannamaker3",
"Wannamaker 3 dithering",
"shaped5",
"Lipshitz 5 dithering"
]
},
{
"name": "debug.wav-path",
"description": "Path to WAV file",
"type": "",
"params": true
},
{
"name": "channelmix.lock-volumes",
"description": "Disable volume updates",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"id": "device",
"name": "api.alsa.path",
"description": "The ALSA device",
"type": "hw:sofhdadsp,5"
},
{
"id": "deviceName",
"description": "The ALSA device name",
"type": ""
},
{
"id": "cardName",
"description": "The ALSA card name",
"type": ""
},
{
"id": "latencyOffsetNsec",
"description": "Latency offset (ns)",
"type": { "default": 0, "min": 0, "max": 2000000000 }
},
{
"name": "audio.channels",
"description": "Audio Channels",
"type": 2,
"params": true
},
{
"name": "audio.rate",
"description": "Audio Rate",
"type": 0,
"params": true
},
{
"name": "audio.format",
"description": "Audio Format",
"type": "UNKNOWN",
"params": true
},
{
"name": "audio.position",
"description": "Audio Position",
"type": "[ FL, FR ]",
"params": true
},
{
"name": "audio.allowed-rates",
"description": "Audio Allowed Rates",
"type": "[ ]",
"params": true
},
{
"name": "api.alsa.period-size",
"description": "Period Size",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.period-num",
"description": "Number of Periods",
"type": { "default": 0, "min": 0, "max": 1024 },
"params": true
},
{
"name": "api.alsa.headroom",
"description": "Headroom",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.start-delay",
"description": "Start Delay",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.disable-mmap",
"description": "Disable MMAP",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.disable-batch",
"description": "Disable Batch",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.disable-tsched",
"description": "Disable timer based scheduling",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.use-chmap",
"description": "Use the driver channelmap",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.multi-rate",
"description": "Support multiple rates",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "api.alsa.htimestamp",
"description": "Use hires timestamps",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "latency.internal.rate",
"description": "Internal latency in samples",
"type": { "default": 0, "min": 0, "max": 65536 },
"params": true
},
{
"name": "latency.internal.ns",
"description": "Internal latency in nanoseconds",
"type": { "default": 0, "min": 0, "max": 2000000000 },
"params": true
},
{
"name": "clock.name",
"description": "The name of the clock",
"type": "api.alsa.p-0",
"params": true
}
],
"Props": [
{
"volume": 1.000000,
"mute": false,
"channelVolumes": [ 1.000000, 1.000000 ],
"channelMap": [ "FL", "FR" ],
"softMute": false,
"softVolumes": [ 1.000000, 1.000000 ],
"monitorMute": false,
"monitorVolumes": [ 1.000000, 1.000000 ],
"params": [
"monitor.channel-volumes",
false,
"channelmix.disable",
false,
"channelmix.min-volume",
0.000000,
"channelmix.max-volume",
10.000000,
"channelmix.normalize",
false,
"channelmix.mix-lfe",
true,
"channelmix.upmix",
true,
"channelmix.lfe-cutoff",
0.000000,
"channelmix.fc-cutoff",
0.000000,
"channelmix.rear-delay",
0.000000,
"channelmix.stereo-widen",
0.000000,
"channelmix.hilbert-taps",
0,
"channelmix.upmix-method",
"none",
"resample.quality",
4,
"resample.disable",
false,
"dither.noise",
0,
"dither.method",
"none",
"debug.wav-path",
"",
"channelmix.lock-volumes",
false
]
},
{
"device": "hw:sofhdadsp,5",
"deviceName": "",
"cardName": "",
"latencyOffsetNsec": 0,
"params": [
"audio.channels",
2,
"audio.rate",
0,
"audio.format",
"UNKNOWN",
"audio.position",
"[ FL, FR ]",
"audio.allowed-rates",
"[ ]",
"api.alsa.period-size",
0,
"api.alsa.period-num",
0,
"api.alsa.headroom",
0,
"api.alsa.start-delay",
0,
"api.alsa.disable-mmap",
false,
"api.alsa.disable-batch",
false,
"api.alsa.disable-tsched",
false,
"api.alsa.use-chmap",
false,
"api.alsa.multi-rate",
true,
"api.alsa.htimestamp",
false,
"latency.internal.rate",
0,
"latency.internal.ns",
0,
"clock.name",
"api.alsa.p-0"
]
}
],
"Format": [ ],
"EnumPortConfig": [
{
"direction": "Input",
"mode": {
"default": "none",
"alt1": "none",
"alt2": "dsp",
"alt3": "convert"
},
"monitor": {
"default": false,
"alt1": false,
"alt2": true
},
"control": {
"default": false,
"alt1": false,
"alt2": true
}
}
],
"PortConfig": [
{
"direction": "Input",
"mode": "dsp",
"monitor": true,
"control": false,
"format": {
"mediaType": "audio",
"mediaSubtype": "raw",
"format": "F32P",
"channels": 2,
"position": [ "FL", "FR" ]
}
}
],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
],
"ProcessLatency": [
{
"quantum": 0.000000,
"rate": 0,
"ns": 0
}
]
}
}
},
{
"id": 46,
"type": "PipeWire:Interface:Node",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"max-input-ports": 65,
"max-output-ports": 0,
"change-mask": [ "input-ports", "output-ports", "state", "props", "params" ],
"n-input-ports": 2,
"n-output-ports": 2,
"state": "suspended",
"error": null,
"props": {
"alsa.card": 0,
"alsa.card_name": "sof-hda-dsp",
"alsa.class": "generic",
"alsa.device": 4,
"alsa.driver_name": "snd_soc_skl_hda_dsp",
"alsa.id": "HDMI2 (*)",
"alsa.long_card_name": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"alsa.mixer_device": "_ucm0001.hw:sofhdadsp",
"alsa.name": "",
"alsa.resolution_bits": 16,
"alsa.subclass": "generic-mix",
"alsa.subdevice": 0,
"alsa.subdevice_name": "subdevice #0",
"api.alsa.card.longname": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"api.alsa.card.name": "sof-hda-dsp",
"api.alsa.open.ucm": true,
"api.alsa.path": "hw:sofhdadsp,4",
"api.alsa.pcm.card": 0,
"api.alsa.pcm.stream": "playback",
"audio.adapt.follower": "",
"audio.channels": 2,
"audio.position": "FL,FR",
"card.profile.device": 1,
"client.id": 34,
"clock.quantum-limit": 8192,
"device.api": "alsa",
"device.class": "sound",
"device.id": 40,
"device.profile.description": "HDMI / DisplayPort 2 Output",
"device.profile.name": "HiFi: hw:sofhdadsp,4: sink",
"device.routes": 1,
"factory.id": 18,
"factory.mode": "merge",
"factory.name": "api.alsa.pcm.sink",
"library.name": "audioconvert/libspa-audioconvert",
"media.class": "Audio/Sink",
"node.description": "Alder Lake PCH-P High Definition Audio Controller HDMI / DisplayPort 2 Output",
"node.driver": true,
"node.name": "alsa_output.pci-0000_00_1f.3-platform-skl_hda_dsp_generic.HiFihw_sofhdadsp_4sink",
"node.nick": "HDMI / DisplayPort 2 Output",
"node.pause-on-idle": false,
"object.id": 46,
"object.path": "alsa:pcm:0:hw:sofhdadsp,4:playback",
"object.serial": 46,
"priority.driver": 680,
"priority.session": 680
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "raw",
"format": {
"default": "S24_32LE",
"alt1": "S24_32LE",
"alt2": "S16LE"
},
"rate": 48000,
"channels": 2,
"position": [ "FL", "FR" ]
}
],
"PropInfo": [
{
"id": "volume",
"description": "Volume",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 }
},
{
"id": "mute",
"description": "Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "channelVolumes",
"description": "Channel Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"id": "channelMap",
"description": "Channel Map",
"type": "",
"container": "Array"
},
{
"id": "monitorMute",
"description": "Monitor Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "monitorVolumes",
"description": "Monitor Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"id": "softMute",
"description": "Soft Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "softVolumes",
"description": "Soft Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"name": "monitor.channel-volumes",
"description": "Monitor channel volume",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.disable",
"description": "Disable Channel mixing",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.min-volume",
"description": "Minimum volume level",
"type": { "default": 0.000000, "min": 0.000000, "max": 10.000000 },
"params": true
},
{
"name": "channelmix.max-volume",
"description": "Maximum volume level",
"type": { "default": 10.000000, "min": 0.000000, "max": 10.000000 },
"params": true
},
{
"name": "channelmix.normalize",
"description": "Normalize Volumes",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.mix-lfe",
"description": "Mix LFE into channels",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "channelmix.upmix",
"description": "Enable upmixing",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "channelmix.lfe-cutoff",
"description": "LFE cutoff frequency",
"type": { "default": 0.000000, "min": 0.000000, "max": 1000.000000 },
"params": true
},
{
"name": "channelmix.fc-cutoff",
"description": "FC cutoff frequency (Hz)",
"type": { "default": 0.000000, "min": 0.000000, "max": 48000.000000 },
"params": true
},
{
"name": "channelmix.rear-delay",
"description": "Rear channels delay (ms)",
"type": { "default": 0.000000, "min": 0.000000, "max": 1000.000000 },
"params": true
},
{
"name": "channelmix.stereo-widen",
"description": "Stereo widen",
"type": { "default": 0.000000, "min": 0.000000, "max": 1.000000 },
"params": true
},
{
"name": "channelmix.hilbert-taps",
"description": "Taps for phase shift of rear",
"type": { "default": 0, "min": 0, "max": 255 },
"params": true
},
{
"name": "channelmix.upmix-method",
"description": "Upmix method to use",
"type": "none",
"params": true,
"labels": [
"none",
"Disabled",
"simple",
"Simple upmixing",
"psd",
"Passive Surround Decoding"
]
},
{
"id": "rate",
"description": "Rate scaler",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 }
},
{
"id": "quality",
"name": "resample.quality",
"description": "Resample Quality",
"type": { "default": 4, "min": 0, "max": 14 },
"params": true
},
{
"name": "resample.disable",
"description": "Disable Resampling",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "dither.noise",
"description": "Add noise bits",
"type": { "default": 0, "min": 0, "max": 16 },
"params": true
},
{
"name": "dither.method",
"description": "The dithering method",
"type": "none",
"params": true,
"labels": [
"none",
"Disabled",
"rectangular",
"Rectangular dithering",
"triangular",
"Triangular dithering",
"triangular-hf",
"Sloped Triangular dithering",
"wannamaker3",
"Wannamaker 3 dithering",
"shaped5",
"Lipshitz 5 dithering"
]
},
{
"name": "debug.wav-path",
"description": "Path to WAV file",
"type": "",
"params": true
},
{
"name": "channelmix.lock-volumes",
"description": "Disable volume updates",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"id": "device",
"name": "api.alsa.path",
"description": "The ALSA device",
"type": "hw:sofhdadsp,4"
},
{
"id": "deviceName",
"description": "The ALSA device name",
"type": ""
},
{
"id": "cardName",
"description": "The ALSA card name",
"type": ""
},
{
"id": "latencyOffsetNsec",
"description": "Latency offset (ns)",
"type": { "default": 0, "min": 0, "max": 2000000000 }
},
{
"name": "audio.channels",
"description": "Audio Channels",
"type": 2,
"params": true
},
{
"name": "audio.rate",
"description": "Audio Rate",
"type": 0,
"params": true
},
{
"name": "audio.format",
"description": "Audio Format",
"type": "UNKNOWN",
"params": true
},
{
"name": "audio.position",
"description": "Audio Position",
"type": "[ FL, FR ]",
"params": true
},
{
"name": "audio.allowed-rates",
"description": "Audio Allowed Rates",
"type": "[ ]",
"params": true
},
{
"name": "api.alsa.period-size",
"description": "Period Size",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.period-num",
"description": "Number of Periods",
"type": { "default": 0, "min": 0, "max": 1024 },
"params": true
},
{
"name": "api.alsa.headroom",
"description": "Headroom",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.start-delay",
"description": "Start Delay",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.disable-mmap",
"description": "Disable MMAP",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.disable-batch",
"description": "Disable Batch",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.disable-tsched",
"description": "Disable timer based scheduling",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.use-chmap",
"description": "Use the driver channelmap",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.multi-rate",
"description": "Support multiple rates",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "api.alsa.htimestamp",
"description": "Use hires timestamps",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "latency.internal.rate",
"description": "Internal latency in samples",
"type": { "default": 0, "min": 0, "max": 65536 },
"params": true
},
{
"name": "latency.internal.ns",
"description": "Internal latency in nanoseconds",
"type": { "default": 0, "min": 0, "max": 2000000000 },
"params": true
},
{
"name": "clock.name",
"description": "The name of the clock",
"type": "api.alsa.p-0",
"params": true
}
],
"Props": [
{
"volume": 1.000000,
"mute": false,
"channelVolumes": [ 1.000000, 1.000000 ],
"channelMap": [ "FL", "FR" ],
"softMute": false,
"softVolumes": [ 1.000000, 1.000000 ],
"monitorMute": false,
"monitorVolumes": [ 1.000000, 1.000000 ],
"params": [
"monitor.channel-volumes",
false,
"channelmix.disable",
false,
"channelmix.min-volume",
0.000000,
"channelmix.max-volume",
10.000000,
"channelmix.normalize",
false,
"channelmix.mix-lfe",
true,
"channelmix.upmix",
true,
"channelmix.lfe-cutoff",
0.000000,
"channelmix.fc-cutoff",
0.000000,
"channelmix.rear-delay",
0.000000,
"channelmix.stereo-widen",
0.000000,
"channelmix.hilbert-taps",
0,
"channelmix.upmix-method",
"none",
"resample.quality",
4,
"resample.disable",
false,
"dither.noise",
0,
"dither.method",
"none",
"debug.wav-path",
"",
"channelmix.lock-volumes",
false
]
},
{
"device": "hw:sofhdadsp,4",
"deviceName": "",
"cardName": "",
"latencyOffsetNsec": 0,
"params": [
"audio.channels",
2,
"audio.rate",
0,
"audio.format",
"UNKNOWN",
"audio.position",
"[ FL, FR ]",
"audio.allowed-rates",
"[ ]",
"api.alsa.period-size",
0,
"api.alsa.period-num",
0,
"api.alsa.headroom",
0,
"api.alsa.start-delay",
0,
"api.alsa.disable-mmap",
false,
"api.alsa.disable-batch",
false,
"api.alsa.disable-tsched",
false,
"api.alsa.use-chmap",
false,
"api.alsa.multi-rate",
true,
"api.alsa.htimestamp",
false,
"latency.internal.rate",
0,
"latency.internal.ns",
0,
"clock.name",
"api.alsa.p-0"
]
}
],
"Format": [ ],
"EnumPortConfig": [
{
"direction": "Input",
"mode": {
"default": "none",
"alt1": "none",
"alt2": "dsp",
"alt3": "convert"
},
"monitor": {
"default": false,
"alt1": false,
"alt2": true
},
"control": {
"default": false,
"alt1": false,
"alt2": true
}
}
],
"PortConfig": [
{
"direction": "Input",
"mode": "dsp",
"monitor": true,
"control": false,
"format": {
"mediaType": "audio",
"mediaSubtype": "raw",
"format": "F32P",
"channels": 2,
"position": [ "FL", "FR" ]
}
}
],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
],
"ProcessLatency": [
{
"quantum": 0.000000,
"rate": 0,
"ns": 0
}
]
}
}
},
{
"id": 47,
"type": "PipeWire:Interface:Node",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"max-input-ports": 65,
"max-output-ports": 0,
"change-mask": [ "input-ports", "output-ports", "state", "props", "params" ],
"n-input-ports": 2,
"n-output-ports": 2,
"state": "suspended",
"error": null,
"props": {
"alsa.card": 0,
"alsa.card_name": "sof-hda-dsp",
"alsa.class": "generic",
"alsa.device": 3,
"alsa.driver_name": "snd_soc_skl_hda_dsp",
"alsa.id": "HDMI1 (*)",
"alsa.long_card_name": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"alsa.mixer_device": "_ucm0001.hw:sofhdadsp",
"alsa.name": "",
"alsa.resolution_bits": 16,
"alsa.subclass": "generic-mix",
"alsa.subdevice": 0,
"alsa.subdevice_name": "subdevice #0",
"api.alsa.card.longname": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"api.alsa.card.name": "sof-hda-dsp",
"api.alsa.open.ucm": true,
"api.alsa.path": "hw:sofhdadsp,3",
"api.alsa.pcm.card": 0,
"api.alsa.pcm.stream": "playback",
"audio.adapt.follower": "",
"audio.channels": 2,
"audio.position": "FL,FR",
"card.profile.device": 2,
"client.id": 34,
"clock.quantum-limit": 8192,
"device.api": "alsa",
"device.class": "sound",
"device.id": 40,
"device.profile.description": "HDMI / DisplayPort 1 Output",
"device.profile.name": "HiFi: hw:sofhdadsp,3: sink",
"device.routes": 1,
"factory.id": 18,
"factory.mode": "merge",
"factory.name": "api.alsa.pcm.sink",
"library.name": "audioconvert/libspa-audioconvert",
"media.class": "Audio/Sink",
"node.description": "Alder Lake PCH-P High Definition Audio Controller HDMI / DisplayPort 1 Output",
"node.driver": true,
"node.name": "alsa_output.pci-0000_00_1f.3-platform-skl_hda_dsp_generic.HiFihw_sofhdadsp_3sink",
"node.nick": "HDMI / DisplayPort 1 Output",
"node.pause-on-idle": false,
"object.id": 47,
"object.path": "alsa:pcm:0:hw:sofhdadsp,3:playback",
"object.serial": 47,
"priority.driver": 696,
"priority.session": 696
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "raw",
"format": {
"default": "S24_32LE",
"alt1": "S24_32LE",
"alt2": "S16LE"
},
"rate": 48000,
"channels": 2,
"position": [ "FL", "FR" ]
}
],
"PropInfo": [
{
"id": "volume",
"description": "Volume",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 }
},
{
"id": "mute",
"description": "Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "channelVolumes",
"description": "Channel Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"id": "channelMap",
"description": "Channel Map",
"type": "",
"container": "Array"
},
{
"id": "monitorMute",
"description": "Monitor Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "monitorVolumes",
"description": "Monitor Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"id": "softMute",
"description": "Soft Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "softVolumes",
"description": "Soft Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"name": "monitor.channel-volumes",
"description": "Monitor channel volume",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.disable",
"description": "Disable Channel mixing",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.min-volume",
"description": "Minimum volume level",
"type": { "default": 0.000000, "min": 0.000000, "max": 10.000000 },
"params": true
},
{
"name": "channelmix.max-volume",
"description": "Maximum volume level",
"type": { "default": 10.000000, "min": 0.000000, "max": 10.000000 },
"params": true
},
{
"name": "channelmix.normalize",
"description": "Normalize Volumes",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.mix-lfe",
"description": "Mix LFE into channels",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "channelmix.upmix",
"description": "Enable upmixing",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "channelmix.lfe-cutoff",
"description": "LFE cutoff frequency",
"type": { "default": 0.000000, "min": 0.000000, "max": 1000.000000 },
"params": true
},
{
"name": "channelmix.fc-cutoff",
"description": "FC cutoff frequency (Hz)",
"type": { "default": 0.000000, "min": 0.000000, "max": 48000.000000 },
"params": true
},
{
"name": "channelmix.rear-delay",
"description": "Rear channels delay (ms)",
"type": { "default": 0.000000, "min": 0.000000, "max": 1000.000000 },
"params": true
},
{
"name": "channelmix.stereo-widen",
"description": "Stereo widen",
"type": { "default": 0.000000, "min": 0.000000, "max": 1.000000 },
"params": true
},
{
"name": "channelmix.hilbert-taps",
"description": "Taps for phase shift of rear",
"type": { "default": 0, "min": 0, "max": 255 },
"params": true
},
{
"name": "channelmix.upmix-method",
"description": "Upmix method to use",
"type": "none",
"params": true,
"labels": [
"none",
"Disabled",
"simple",
"Simple upmixing",
"psd",
"Passive Surround Decoding"
]
},
{
"id": "rate",
"description": "Rate scaler",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 }
},
{
"id": "quality",
"name": "resample.quality",
"description": "Resample Quality",
"type": { "default": 4, "min": 0, "max": 14 },
"params": true
},
{
"name": "resample.disable",
"description": "Disable Resampling",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "dither.noise",
"description": "Add noise bits",
"type": { "default": 0, "min": 0, "max": 16 },
"params": true
},
{
"name": "dither.method",
"description": "The dithering method",
"type": "none",
"params": true,
"labels": [
"none",
"Disabled",
"rectangular",
"Rectangular dithering",
"triangular",
"Triangular dithering",
"triangular-hf",
"Sloped Triangular dithering",
"wannamaker3",
"Wannamaker 3 dithering",
"shaped5",
"Lipshitz 5 dithering"
]
},
{
"name": "debug.wav-path",
"description": "Path to WAV file",
"type": "",
"params": true
},
{
"name": "channelmix.lock-volumes",
"description": "Disable volume updates",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"id": "device",
"name": "api.alsa.path",
"description": "The ALSA device",
"type": "hw:sofhdadsp,3"
},
{
"id": "deviceName",
"description": "The ALSA device name",
"type": ""
},
{
"id": "cardName",
"description": "The ALSA card name",
"type": ""
},
{
"id": "latencyOffsetNsec",
"description": "Latency offset (ns)",
"type": { "default": 0, "min": 0, "max": 2000000000 }
},
{
"name": "audio.channels",
"description": "Audio Channels",
"type": 2,
"params": true
},
{
"name": "audio.rate",
"description": "Audio Rate",
"type": 0,
"params": true
},
{
"name": "audio.format",
"description": "Audio Format",
"type": "UNKNOWN",
"params": true
},
{
"name": "audio.position",
"description": "Audio Position",
"type": "[ FL, FR ]",
"params": true
},
{
"name": "audio.allowed-rates",
"description": "Audio Allowed Rates",
"type": "[ ]",
"params": true
},
{
"name": "api.alsa.period-size",
"description": "Period Size",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.period-num",
"description": "Number of Periods",
"type": { "default": 0, "min": 0, "max": 1024 },
"params": true
},
{
"name": "api.alsa.headroom",
"description": "Headroom",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.start-delay",
"description": "Start Delay",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.disable-mmap",
"description": "Disable MMAP",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.disable-batch",
"description": "Disable Batch",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.disable-tsched",
"description": "Disable timer based scheduling",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.use-chmap",
"description": "Use the driver channelmap",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.multi-rate",
"description": "Support multiple rates",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "api.alsa.htimestamp",
"description": "Use hires timestamps",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "latency.internal.rate",
"description": "Internal latency in samples",
"type": { "default": 0, "min": 0, "max": 65536 },
"params": true
},
{
"name": "latency.internal.ns",
"description": "Internal latency in nanoseconds",
"type": { "default": 0, "min": 0, "max": 2000000000 },
"params": true
},
{
"name": "clock.name",
"description": "The name of the clock",
"type": "api.alsa.p-0",
"params": true
}
],
"Props": [
{
"volume": 1.000000,
"mute": false,
"channelVolumes": [ 1.000000, 1.000000 ],
"channelMap": [ "FL", "FR" ],
"softMute": false,
"softVolumes": [ 1.000000, 1.000000 ],
"monitorMute": false,
"monitorVolumes": [ 1.000000, 1.000000 ],
"params": [
"monitor.channel-volumes",
false,
"channelmix.disable",
false,
"channelmix.min-volume",
0.000000,
"channelmix.max-volume",
10.000000,
"channelmix.normalize",
false,
"channelmix.mix-lfe",
true,
"channelmix.upmix",
true,
"channelmix.lfe-cutoff",
0.000000,
"channelmix.fc-cutoff",
0.000000,
"channelmix.rear-delay",
0.000000,
"channelmix.stereo-widen",
0.000000,
"channelmix.hilbert-taps",
0,
"channelmix.upmix-method",
"none",
"resample.quality",
4,
"resample.disable",
false,
"dither.noise",
0,
"dither.method",
"none",
"debug.wav-path",
"",
"channelmix.lock-volumes",
false
]
},
{
"device": "hw:sofhdadsp,3",
"deviceName": "",
"cardName": "",
"latencyOffsetNsec": 0,
"params": [
"audio.channels",
2,
"audio.rate",
0,
"audio.format",
"UNKNOWN",
"audio.position",
"[ FL, FR ]",
"audio.allowed-rates",
"[ ]",
"api.alsa.period-size",
0,
"api.alsa.period-num",
0,
"api.alsa.headroom",
0,
"api.alsa.start-delay",
0,
"api.alsa.disable-mmap",
false,
"api.alsa.disable-batch",
false,
"api.alsa.disable-tsched",
false,
"api.alsa.use-chmap",
false,
"api.alsa.multi-rate",
true,
"api.alsa.htimestamp",
false,
"latency.internal.rate",
0,
"latency.internal.ns",
0,
"clock.name",
"api.alsa.p-0"
]
}
],
"Format": [ ],
"EnumPortConfig": [
{
"direction": "Input",
"mode": {
"default": "none",
"alt1": "none",
"alt2": "dsp",
"alt3": "convert"
},
"monitor": {
"default": false,
"alt1": false,
"alt2": true
},
"control": {
"default": false,
"alt1": false,
"alt2": true
}
}
],
"PortConfig": [
{
"direction": "Input",
"mode": "dsp",
"monitor": true,
"control": false,
"format": {
"mediaType": "audio",
"mediaSubtype": "raw",
"format": "F32P",
"channels": 2,
"position": [ "FL", "FR" ]
}
}
],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
],
"ProcessLatency": [
{
"quantum": 0.000000,
"rate": 0,
"ns": 0
}
]
}
}
},
{
"id": 48,
"type": "PipeWire:Interface:Node",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"max-input-ports": 65,
"max-output-ports": 0,
"change-mask": [ "input-ports", "output-ports", "state", "props", "params" ],
"n-input-ports": 2,
"n-output-ports": 2,
"state": "suspended",
"error": null,
"props": {
"alsa.card": 0,
"alsa.card_name": "sof-hda-dsp",
"alsa.class": "generic",
"alsa.device": 0,
"alsa.driver_name": "snd_soc_skl_hda_dsp",
"alsa.id": "HDA Analog (*)",
"alsa.long_card_name": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"alsa.mixer_device": "_ucm0001.hw:sofhdadsp",
"alsa.name": "",
"alsa.resolution_bits": 16,
"alsa.subclass": "generic-mix",
"alsa.subdevice": 0,
"alsa.subdevice_name": "subdevice #0",
"api.alsa.card.longname": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"api.alsa.card.name": "sof-hda-dsp",
"api.alsa.headroom": 0,
"api.alsa.open.ucm": true,
"api.alsa.path": "hw:sofhdadsp",
"api.alsa.pcm.card": 0,
"api.alsa.pcm.stream": "playback",
"api.alsa.period-num": 8,
"api.alsa.period-size": 1024,
"audio.adapt.follower": "",
"audio.channels": 2,
"audio.position": "FL,FR",
"card.profile.device": 3,
"client.id": 34,
"clock.quantum-limit": 8192,
"device.api": "alsa",
"device.class": "sound",
"device.id": 40,
"device.profile.description": "Speaker + Headphones",
"device.profile.name": "HiFi: hw:sofhdadsp: sink",
"device.routes": 2,
"factory.id": 18,
"factory.mode": "merge",
"factory.name": "api.alsa.pcm.sink",
"library.name": "audioconvert/libspa-audioconvert",
"media.class": "Audio/Sink",
"node.description": "Alder Lake PCH-P High Definition Audio Controller Speaker + Headphones",
"node.driver": true,
"node.max-latency": "4096/48000",
"node.name": "alsa_output.pci-0000_00_1f.3-platform-skl_hda_dsp_generic.HiFi__hw_sofhdadspsink",
"node.nick": "Speaker + Headphones",
"node.pause-on-idle": false,
"object.id": 48,
"object.path": "alsa:pcm:0:hw:sofhdadsp:playback",
"object.serial": 48,
"priority.driver": 1000,
"priority.session": 1000
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "raw",
"format": {
"default": "S32LE",
"alt1": "S32LE",
"alt2": "S24_32LE",
"alt3": "S16LE"
},
"rate": 48000,
"channels": 2,
"position": [ "FL", "FR" ]
}
],
"PropInfo": [
{
"id": "volume",
"description": "Volume",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 }
},
{
"id": "mute",
"description": "Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "channelVolumes",
"description": "Channel Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"id": "channelMap",
"description": "Channel Map",
"type": "",
"container": "Array"
},
{
"id": "monitorMute",
"description": "Monitor Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "monitorVolumes",
"description": "Monitor Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"id": "softMute",
"description": "Soft Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "softVolumes",
"description": "Soft Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"name": "monitor.channel-volumes",
"description": "Monitor channel volume",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.disable",
"description": "Disable Channel mixing",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.min-volume",
"description": "Minimum volume level",
"type": { "default": 0.000000, "min": 0.000000, "max": 10.000000 },
"params": true
},
{
"name": "channelmix.max-volume",
"description": "Maximum volume level",
"type": { "default": 10.000000, "min": 0.000000, "max": 10.000000 },
"params": true
},
{
"name": "channelmix.normalize",
"description": "Normalize Volumes",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.mix-lfe",
"description": "Mix LFE into channels",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "channelmix.upmix",
"description": "Enable upmixing",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "channelmix.lfe-cutoff",
"description": "LFE cutoff frequency",
"type": { "default": 0.000000, "min": 0.000000, "max": 1000.000000 },
"params": true
},
{
"name": "channelmix.fc-cutoff",
"description": "FC cutoff frequency (Hz)",
"type": { "default": 0.000000, "min": 0.000000, "max": 48000.000000 },
"params": true
},
{
"name": "channelmix.rear-delay",
"description": "Rear channels delay (ms)",
"type": { "default": 0.000000, "min": 0.000000, "max": 1000.000000 },
"params": true
},
{
"name": "channelmix.stereo-widen",
"description": "Stereo widen",
"type": { "default": 0.000000, "min": 0.000000, "max": 1.000000 },
"params": true
},
{
"name": "channelmix.hilbert-taps",
"description": "Taps for phase shift of rear",
"type": { "default": 0, "min": 0, "max": 255 },
"params": true
},
{
"name": "channelmix.upmix-method",
"description": "Upmix method to use",
"type": "none",
"params": true,
"labels": [
"none",
"Disabled",
"simple",
"Simple upmixing",
"psd",
"Passive Surround Decoding"
]
},
{
"id": "rate",
"description": "Rate scaler",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 }
},
{
"id": "quality",
"name": "resample.quality",
"description": "Resample Quality",
"type": { "default": 4, "min": 0, "max": 14 },
"params": true
},
{
"name": "resample.disable",
"description": "Disable Resampling",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "dither.noise",
"description": "Add noise bits",
"type": { "default": 0, "min": 0, "max": 16 },
"params": true
},
{
"name": "dither.method",
"description": "The dithering method",
"type": "none",
"params": true,
"labels": [
"none",
"Disabled",
"rectangular",
"Rectangular dithering",
"triangular",
"Triangular dithering",
"triangular-hf",
"Sloped Triangular dithering",
"wannamaker3",
"Wannamaker 3 dithering",
"shaped5",
"Lipshitz 5 dithering"
]
},
{
"name": "debug.wav-path",
"description": "Path to WAV file",
"type": "",
"params": true
},
{
"name": "channelmix.lock-volumes",
"description": "Disable volume updates",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"id": "device",
"name": "api.alsa.path",
"description": "The ALSA device",
"type": "hw:sofhdadsp"
},
{
"id": "deviceName",
"description": "The ALSA device name",
"type": ""
},
{
"id": "cardName",
"description": "The ALSA card name",
"type": ""
},
{
"id": "latencyOffsetNsec",
"description": "Latency offset (ns)",
"type": { "default": 0, "min": 0, "max": 2000000000 }
},
{
"name": "audio.channels",
"description": "Audio Channels",
"type": 2,
"params": true
},
{
"name": "audio.rate",
"description": "Audio Rate",
"type": 0,
"params": true
},
{
"name": "audio.format",
"description": "Audio Format",
"type": "UNKNOWN",
"params": true
},
{
"name": "audio.position",
"description": "Audio Position",
"type": "[ FL, FR ]",
"params": true
},
{
"name": "audio.allowed-rates",
"description": "Audio Allowed Rates",
"type": "[ ]",
"params": true
},
{
"name": "api.alsa.period-size",
"description": "Period Size",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.period-num",
"description": "Number of Periods",
"type": { "default": 0, "min": 0, "max": 1024 },
"params": true
},
{
"name": "api.alsa.headroom",
"description": "Headroom",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.start-delay",
"description": "Start Delay",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.disable-mmap",
"description": "Disable MMAP",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.disable-batch",
"description": "Disable Batch",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.disable-tsched",
"description": "Disable timer based scheduling",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.use-chmap",
"description": "Use the driver channelmap",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.multi-rate",
"description": "Support multiple rates",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "api.alsa.htimestamp",
"description": "Use hires timestamps",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "latency.internal.rate",
"description": "Internal latency in samples",
"type": { "default": 0, "min": 0, "max": 65536 },
"params": true
},
{
"name": "latency.internal.ns",
"description": "Internal latency in nanoseconds",
"type": { "default": 0, "min": 0, "max": 2000000000 },
"params": true
},
{
"name": "clock.name",
"description": "The name of the clock",
"type": "api.alsa.p-0",
"params": true
}
],
"Props": [
{
"volume": 1.000000,
"mute": false,
"channelVolumes": [ 1.000000, 1.000000 ],
"channelMap": [ "FL", "FR" ],
"softMute": false,
"softVolumes": [ 1.000000, 1.000000 ],
"monitorMute": false,
"monitorVolumes": [ 1.000000, 1.000000 ],
"params": [
"monitor.channel-volumes",
false,
"channelmix.disable",
false,
"channelmix.min-volume",
0.000000,
"channelmix.max-volume",
10.000000,
"channelmix.normalize",
false,
"channelmix.mix-lfe",
true,
"channelmix.upmix",
true,
"channelmix.lfe-cutoff",
0.000000,
"channelmix.fc-cutoff",
0.000000,
"channelmix.rear-delay",
0.000000,
"channelmix.stereo-widen",
0.000000,
"channelmix.hilbert-taps",
0,
"channelmix.upmix-method",
"none",
"resample.quality",
4,
"resample.disable",
false,
"dither.noise",
0,
"dither.method",
"none",
"debug.wav-path",
"",
"channelmix.lock-volumes",
false
]
},
{
"device": "hw:sofhdadsp",
"deviceName": "",
"cardName": "",
"latencyOffsetNsec": 0,
"params": [
"audio.channels",
2,
"audio.rate",
0,
"audio.format",
"UNKNOWN",
"audio.position",
"[ FL, FR ]",
"audio.allowed-rates",
"[ ]",
"api.alsa.period-size",
0,
"api.alsa.period-num",
0,
"api.alsa.headroom",
0,
"api.alsa.start-delay",
0,
"api.alsa.disable-mmap",
false,
"api.alsa.disable-batch",
false,
"api.alsa.disable-tsched",
false,
"api.alsa.use-chmap",
false,
"api.alsa.multi-rate",
true,
"api.alsa.htimestamp",
false,
"latency.internal.rate",
0,
"latency.internal.ns",
0,
"clock.name",
"api.alsa.p-0"
]
}
],
"Format": [ ],
"EnumPortConfig": [
{
"direction": "Input",
"mode": {
"default": "none",
"alt1": "none",
"alt2": "dsp",
"alt3": "convert"
},
"monitor": {
"default": false,
"alt1": false,
"alt2": true
},
"control": {
"default": false,
"alt1": false,
"alt2": true
}
}
],
"PortConfig": [
{
"direction": "Input",
"mode": "dsp",
"monitor": true,
"control": false,
"format": {
"mediaType": "audio",
"mediaSubtype": "raw",
"format": "F32P",
"channels": 2,
"position": [ "FL", "FR" ]
}
}
],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
],
"ProcessLatency": [
{
"quantum": 0.000000,
"rate": 0,
"ns": 0
}
]
}
}
},
{
"id": 49,
"type": "PipeWire:Interface:Node",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"max-input-ports": 0,
"max-output-ports": 65,
"change-mask": [ "input-ports", "output-ports", "state", "props", "params" ],
"n-input-ports": 0,
"n-output-ports": 2,
"state": "suspended",
"error": null,
"props": {
"alsa.card": 0,
"alsa.card_name": "sof-hda-dsp",
"alsa.class": "generic",
"alsa.device": 0,
"alsa.driver_name": "snd_soc_skl_hda_dsp",
"alsa.id": "HDA Analog (*)",
"alsa.long_card_name": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"alsa.mixer_device": "_ucm0001.hw:sofhdadsp",
"alsa.name": "",
"alsa.resolution_bits": 16,
"alsa.subclass": "generic-mix",
"alsa.subdevice": 0,
"alsa.subdevice_name": "subdevice #0",
"api.alsa.card.longname": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"api.alsa.card.name": "sof-hda-dsp",
"api.alsa.open.ucm": true,
"api.alsa.path": "hw:sofhdadsp",
"api.alsa.pcm.card": 0,
"api.alsa.pcm.stream": "capture",
"audio.adapt.follower": "",
"audio.channels": 2,
"audio.position": "FL,FR",
"card.profile.device": 4,
"client.id": 34,
"clock.quantum-limit": 8192,
"device.api": "alsa",
"device.class": "sound",
"device.id": 40,
"device.profile.description": "Headphones Stereo Microphone",
"device.profile.name": "HiFi: hw:sofhdadsp: source",
"device.routes": 1,
"factory.id": 18,
"factory.mode": "split",
"factory.name": "api.alsa.pcm.source",
"library.name": "audioconvert/libspa-audioconvert",
"media.class": "Audio/Source",
"node.description": "Alder Lake PCH-P High Definition Audio Controller Headphones Stereo Microphone",
"node.driver": true,
"node.name": "alsa_input.pci-0000_00_1f.3-platform-skl_hda_dsp_generic.HiFi__hw_sofhdadsp
source",
"node.nick": "Headphones Stereo Microphone",
"node.pause-on-idle": false,
"object.id": 49,
"object.path": "alsa:pcm:0:hw:sofhdadsp:capture",
"object.serial": 49,
"priority.driver": 2000,
"priority.session": 2000
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "raw",
"format": {
"default": "S24_32LE",
"alt1": "S24_32LE",
"alt2": "S16LE"
},
"rate": 48000,
"channels": 2,
"position": [ "FL", "FR" ]
}
],
"PropInfo": [
{
"id": "volume",
"description": "Volume",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 }
},
{
"id": "mute",
"description": "Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "channelVolumes",
"description": "Channel Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"id": "channelMap",
"description": "Channel Map",
"type": "",
"container": "Array"
},
{
"id": "monitorMute",
"description": "Monitor Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "monitorVolumes",
"description": "Monitor Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"id": "softMute",
"description": "Soft Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "softVolumes",
"description": "Soft Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"name": "monitor.channel-volumes",
"description": "Monitor channel volume",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.disable",
"description": "Disable Channel mixing",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.min-volume",
"description": "Minimum volume level",
"type": { "default": 0.000000, "min": 0.000000, "max": 10.000000 },
"params": true
},
{
"name": "channelmix.max-volume",
"description": "Maximum volume level",
"type": { "default": 10.000000, "min": 0.000000, "max": 10.000000 },
"params": true
},
{
"name": "channelmix.normalize",
"description": "Normalize Volumes",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.mix-lfe",
"description": "Mix LFE into channels",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "channelmix.upmix",
"description": "Enable upmixing",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "channelmix.lfe-cutoff",
"description": "LFE cutoff frequency",
"type": { "default": 0.000000, "min": 0.000000, "max": 1000.000000 },
"params": true
},
{
"name": "channelmix.fc-cutoff",
"description": "FC cutoff frequency (Hz)",
"type": { "default": 0.000000, "min": 0.000000, "max": 48000.000000 },
"params": true
},
{
"name": "channelmix.rear-delay",
"description": "Rear channels delay (ms)",
"type": { "default": 0.000000, "min": 0.000000, "max": 1000.000000 },
"params": true
},
{
"name": "channelmix.stereo-widen",
"description": "Stereo widen",
"type": { "default": 0.000000, "min": 0.000000, "max": 1.000000 },
"params": true
},
{
"name": "channelmix.hilbert-taps",
"description": "Taps for phase shift of rear",
"type": { "default": 0, "min": 0, "max": 255 },
"params": true
},
{
"name": "channelmix.upmix-method",
"description": "Upmix method to use",
"type": "none",
"params": true,
"labels": [
"none",
"Disabled",
"simple",
"Simple upmixing",
"psd",
"Passive Surround Decoding"
]
},
{
"id": "rate",
"description": "Rate scaler",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 }
},
{
"id": "quality",
"name": "resample.quality",
"description": "Resample Quality",
"type": { "default": 4, "min": 0, "max": 14 },
"params": true
},
{
"name": "resample.disable",
"description": "Disable Resampling",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "dither.noise",
"description": "Add noise bits",
"type": { "default": 0, "min": 0, "max": 16 },
"params": true
},
{
"name": "dither.method",
"description": "The dithering method",
"type": "none",
"params": true,
"labels": [
"none",
"Disabled",
"rectangular",
"Rectangular dithering",
"triangular",
"Triangular dithering",
"triangular-hf",
"Sloped Triangular dithering",
"wannamaker3",
"Wannamaker 3 dithering",
"shaped5",
"Lipshitz 5 dithering"
]
},
{
"name": "debug.wav-path",
"description": "Path to WAV file",
"type": "",
"params": true
},
{
"name": "channelmix.lock-volumes",
"description": "Disable volume updates",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"id": "device",
"name": "api.alsa.path",
"description": "The ALSA device",
"type": "hw:sofhdadsp"
},
{
"id": "deviceName",
"description": "The ALSA device name",
"type": ""
},
{
"id": "cardName",
"description": "The ALSA card name",
"type": ""
},
{
"id": "latencyOffsetNsec",
"description": "Latency offset (ns)",
"type": { "default": 0, "min": 0, "max": 2000000000 }
},
{
"name": "audio.channels",
"description": "Audio Channels",
"type": 2,
"params": true
},
{
"name": "audio.rate",
"description": "Audio Rate",
"type": 0,
"params": true
},
{
"name": "audio.format",
"description": "Audio Format",
"type": "UNKNOWN",
"params": true
},
{
"name": "audio.position",
"description": "Audio Position",
"type": "[ FL, FR ]",
"params": true
},
{
"name": "audio.allowed-rates",
"description": "Audio Allowed Rates",
"type": "[ ]",
"params": true
},
{
"name": "api.alsa.period-size",
"description": "Period Size",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.period-num",
"description": "Number of Periods",
"type": { "default": 0, "min": 0, "max": 1024 },
"params": true
},
{
"name": "api.alsa.headroom",
"description": "Headroom",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.start-delay",
"description": "Start Delay",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.disable-mmap",
"description": "Disable MMAP",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.disable-batch",
"description": "Disable Batch",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.disable-tsched",
"description": "Disable timer based scheduling",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.use-chmap",
"description": "Use the driver channelmap",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.multi-rate",
"description": "Support multiple rates",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "api.alsa.htimestamp",
"description": "Use hires timestamps",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "latency.internal.rate",
"description": "Internal latency in samples",
"type": { "default": 0, "min": 0, "max": 65536 },
"params": true
},
{
"name": "latency.internal.ns",
"description": "Internal latency in nanoseconds",
"type": { "default": 0, "min": 0, "max": 2000000000 },
"params": true
},
{
"name": "clock.name",
"description": "The name of the clock",
"type": "api.alsa.c-0",
"params": true
}
],
"Props": [
{
"volume": 1.000000,
"mute": false,
"channelVolumes": [ 1.000000, 1.000000 ],
"channelMap": [ "FL", "FR" ],
"softMute": false,
"softVolumes": [ 1.000000, 1.000000 ],
"monitorMute": false,
"monitorVolumes": [ 1.000000, 1.000000 ],
"params": [
"monitor.channel-volumes",
false,
"channelmix.disable",
false,
"channelmix.min-volume",
0.000000,
"channelmix.max-volume",
10.000000,
"channelmix.normalize",
false,
"channelmix.mix-lfe",
true,
"channelmix.upmix",
true,
"channelmix.lfe-cutoff",
0.000000,
"channelmix.fc-cutoff",
0.000000,
"channelmix.rear-delay",
0.000000,
"channelmix.stereo-widen",
0.000000,
"channelmix.hilbert-taps",
0,
"channelmix.upmix-method",
"none",
"resample.quality",
4,
"resample.disable",
false,
"dither.noise",
0,
"dither.method",
"none",
"debug.wav-path",
"",
"channelmix.lock-volumes",
false
]
},
{
"device": "hw:sofhdadsp",
"deviceName": "",
"cardName": "",
"latencyOffsetNsec": 0,
"params": [
"audio.channels",
2,
"audio.rate",
0,
"audio.format",
"UNKNOWN",
"audio.position",
"[ FL, FR ]",
"audio.allowed-rates",
"[ ]",
"api.alsa.period-size",
0,
"api.alsa.period-num",
0,
"api.alsa.headroom",
0,
"api.alsa.start-delay",
0,
"api.alsa.disable-mmap",
false,
"api.alsa.disable-batch",
false,
"api.alsa.disable-tsched",
false,
"api.alsa.use-chmap",
false,
"api.alsa.multi-rate",
true,
"api.alsa.htimestamp",
false,
"latency.internal.rate",
0,
"latency.internal.ns",
0,
"clock.name",
"api.alsa.c-0"
]
}
],
"Format": [ ],
"EnumPortConfig": [
{
"direction": "Output",
"mode": {
"default": "none",
"alt1": "none",
"alt2": "dsp",
"alt3": "convert"
},
"monitor": {
"default": false,
"alt1": false,
"alt2": true
},
"control": {
"default": false,
"alt1": false,
"alt2": true
}
}
],
"PortConfig": [
{
"direction": "Output",
"mode": "dsp",
"monitor": true,
"control": false,
"format": {
"mediaType": "audio",
"mediaSubtype": "raw",
"format": "F32P",
"channels": 2,
"position": [ "FL", "FR" ]
}
}
],
"Latency": [
{
"direction": "Input",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
],
"ProcessLatency": [
{
"quantum": 0.000000,
"rate": 0,
"ns": 0
}
]
}
}
},
{
"id": 50,
"type": "PipeWire:Interface:Node",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"max-input-ports": 0,
"max-output-ports": 65,
"change-mask": [ "input-ports", "output-ports", "state", "props", "params" ],
"n-input-ports": 0,
"n-output-ports": 4,
"state": "suspended",
"error": null,
"props": {
"alsa.card": 0,
"alsa.card_name": "sof-hda-dsp",
"alsa.class": "generic",
"alsa.device": 6,
"alsa.driver_name": "snd_soc_skl_hda_dsp",
"alsa.id": "DMIC (*)",
"alsa.long_card_name": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"alsa.mixer_device": "_ucm0001.hw:sofhdadsp",
"alsa.name": "",
"alsa.resolution_bits": 16,
"alsa.subclass": "generic-mix",
"alsa.subdevice": 0,
"alsa.subdevice_name": "subdevice #0",
"api.alsa.card.longname": "HUAWEI-CREF_XX-M1010-CREF_XX_PCB",
"api.alsa.card.name": "sof-hda-dsp",
"api.alsa.open.ucm": true,
"api.alsa.path": "hw:sofhdadsp,6",
"api.alsa.pcm.card": 0,
"api.alsa.pcm.stream": "capture",
"audio.adapt.follower": "",
"audio.channels": 4,
"audio.position": "FL,FR,RL,RR",
"card.profile.device": 5,
"client.id": 34,
"clock.quantum-limit": 8192,
"device.api": "alsa",
"device.class": "sound",
"device.id": 40,
"device.profile.description": "Digital Microphone",
"device.profile.name": "HiFi: hw:sofhdadsp,6: source",
"device.routes": 1,
"factory.id": 18,
"factory.mode": "split",
"factory.name": "api.alsa.pcm.source",
"library.name": "audioconvert/libspa-audioconvert",
"media.class": "Audio/Source",
"node.description": "Alder Lake PCH-P High Definition Audio Controller Digital Microphone",
"node.driver": true,
"node.name": "alsa_input.pci-0000_00_1f.3-platform-skl_hda_dsp_generic.HiFihw_sofhdadsp_6source",
"node.nick": "Digital Microphone",
"node.pause-on-idle": false,
"object.id": 50,
"object.path": "alsa:pcm:0:hw:sofhdadsp,6:capture",
"object.serial": 50,
"priority.driver": 1648,
"priority.session": 1648
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "raw",
"format": {
"default": "S32LE",
"alt1": "S32LE",
"alt2": "S24_32LE",
"alt3": "S16LE"
},
"rate": 48000,
"channels": 4,
"position": [ "FL", "FR", "RL", "RR" ]
}
],
"PropInfo": [
{
"id": "volume",
"description": "Volume",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 }
},
{
"id": "mute",
"description": "Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "channelVolumes",
"description": "Channel Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"id": "channelMap",
"description": "Channel Map",
"type": "",
"container": "Array"
},
{
"id": "monitorMute",
"description": "Monitor Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "monitorVolumes",
"description": "Monitor Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"id": "softMute",
"description": "Soft Mute",
"type": {
"default": false,
"alt1": false,
"alt2": true
}
},
{
"id": "softVolumes",
"description": "Soft Volumes",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 },
"container": "Array"
},
{
"name": "monitor.channel-volumes",
"description": "Monitor channel volume",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.disable",
"description": "Disable Channel mixing",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.min-volume",
"description": "Minimum volume level",
"type": { "default": 0.000000, "min": 0.000000, "max": 10.000000 },
"params": true
},
{
"name": "channelmix.max-volume",
"description": "Maximum volume level",
"type": { "default": 10.000000, "min": 0.000000, "max": 10.000000 },
"params": true
},
{
"name": "channelmix.normalize",
"description": "Normalize Volumes",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "channelmix.mix-lfe",
"description": "Mix LFE into channels",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "channelmix.upmix",
"description": "Enable upmixing",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "channelmix.lfe-cutoff",
"description": "LFE cutoff frequency",
"type": { "default": 0.000000, "min": 0.000000, "max": 1000.000000 },
"params": true
},
{
"name": "channelmix.fc-cutoff",
"description": "FC cutoff frequency (Hz)",
"type": { "default": 0.000000, "min": 0.000000, "max": 48000.000000 },
"params": true
},
{
"name": "channelmix.rear-delay",
"description": "Rear channels delay (ms)",
"type": { "default": 0.000000, "min": 0.000000, "max": 1000.000000 },
"params": true
},
{
"name": "channelmix.stereo-widen",
"description": "Stereo widen",
"type": { "default": 0.000000, "min": 0.000000, "max": 1.000000 },
"params": true
},
{
"name": "channelmix.hilbert-taps",
"description": "Taps for phase shift of rear",
"type": { "default": 0, "min": 0, "max": 255 },
"params": true
},
{
"name": "channelmix.upmix-method",
"description": "Upmix method to use",
"type": "none",
"params": true,
"labels": [
"none",
"Disabled",
"simple",
"Simple upmixing",
"psd",
"Passive Surround Decoding"
]
},
{
"id": "rate",
"description": "Rate scaler",
"type": { "default": 1.000000, "min": 0.000000, "max": 10.000000 }
},
{
"id": "quality",
"name": "resample.quality",
"description": "Resample Quality",
"type": { "default": 4, "min": 0, "max": 14 },
"params": true
},
{
"name": "resample.disable",
"description": "Disable Resampling",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "dither.noise",
"description": "Add noise bits",
"type": { "default": 0, "min": 0, "max": 16 },
"params": true
},
{
"name": "dither.method",
"description": "The dithering method",
"type": "none",
"params": true,
"labels": [
"none",
"Disabled",
"rectangular",
"Rectangular dithering",
"triangular",
"Triangular dithering",
"triangular-hf",
"Sloped Triangular dithering",
"wannamaker3",
"Wannamaker 3 dithering",
"shaped5",
"Lipshitz 5 dithering"
]
},
{
"name": "debug.wav-path",
"description": "Path to WAV file",
"type": "",
"params": true
},
{
"name": "channelmix.lock-volumes",
"description": "Disable volume updates",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"id": "device",
"name": "api.alsa.path",
"description": "The ALSA device",
"type": "hw:sofhdadsp,6"
},
{
"id": "deviceName",
"description": "The ALSA device name",
"type": ""
},
{
"id": "cardName",
"description": "The ALSA card name",
"type": ""
},
{
"id": "latencyOffsetNsec",
"description": "Latency offset (ns)",
"type": { "default": 0, "min": 0, "max": 2000000000 }
},
{
"name": "audio.channels",
"description": "Audio Channels",
"type": 4,
"params": true
},
{
"name": "audio.rate",
"description": "Audio Rate",
"type": 0,
"params": true
},
{
"name": "audio.format",
"description": "Audio Format",
"type": "UNKNOWN",
"params": true
},
{
"name": "audio.position",
"description": "Audio Position",
"type": "[ FL, FR, RL, RR ]",
"params": true
},
{
"name": "audio.allowed-rates",
"description": "Audio Allowed Rates",
"type": "[ ]",
"params": true
},
{
"name": "api.alsa.period-size",
"description": "Period Size",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.period-num",
"description": "Number of Periods",
"type": { "default": 0, "min": 0, "max": 1024 },
"params": true
},
{
"name": "api.alsa.headroom",
"description": "Headroom",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.start-delay",
"description": "Start Delay",
"type": { "default": 0, "min": 0, "max": 8192 },
"params": true
},
{
"name": "api.alsa.disable-mmap",
"description": "Disable MMAP",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.disable-batch",
"description": "Disable Batch",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.disable-tsched",
"description": "Disable timer based scheduling",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.use-chmap",
"description": "Use the driver channelmap",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "api.alsa.multi-rate",
"description": "Support multiple rates",
"type": {
"default": true,
"alt1": true,
"alt2": false
},
"params": true
},
{
"name": "api.alsa.htimestamp",
"description": "Use hires timestamps",
"type": {
"default": false,
"alt1": false,
"alt2": true
},
"params": true
},
{
"name": "latency.internal.rate",
"description": "Internal latency in samples",
"type": { "default": 0, "min": 0, "max": 65536 },
"params": true
},
{
"name": "latency.internal.ns",
"description": "Internal latency in nanoseconds",
"type": { "default": 0, "min": 0, "max": 2000000000 },
"params": true
},
{
"name": "clock.name",
"description": "The name of the clock",
"type": "api.alsa.c-0",
"params": true
}
],
"Props": [
{
"volume": 1.000000,
"mute": false,
"channelVolumes": [ 1.157585, 1.157585, 1.157585, 1.157585 ],
"channelMap": [ "FL", "FR", "RL", "RR" ],
"softMute": false,
"softVolumes": [ 1.157585, 1.157585, 1.157585, 1.157585 ],
"monitorMute": false,
"monitorVolumes": [ 1.000000, 1.000000, 1.000000, 1.000000 ],
"params": [
"monitor.channel-volumes",
false,
"channelmix.disable",
false,
"channelmix.min-volume",
0.000000,
"channelmix.max-volume",
10.000000,
"channelmix.normalize",
false,
"channelmix.mix-lfe",
true,
"channelmix.upmix",
true,
"channelmix.lfe-cutoff",
0.000000,
"channelmix.fc-cutoff",
0.000000,
"channelmix.rear-delay",
0.000000,
"channelmix.stereo-widen",
0.000000,
"channelmix.hilbert-taps",
0,
"channelmix.upmix-method",
"none",
"resample.quality",
4,
"resample.disable",
false,
"dither.noise",
0,
"dither.method",
"none",
"debug.wav-path",
"",
"channelmix.lock-volumes",
false
]
},
{
"device": "hw:sofhdadsp,6",
"deviceName": "",
"cardName": "",
"latencyOffsetNsec": 0,
"params": [
"audio.channels",
4,
"audio.rate",
0,
"audio.format",
"UNKNOWN",
"audio.position",
"[ FL, FR, RL, RR ]",
"audio.allowed-rates",
"[ ]",
"api.alsa.period-size",
0,
"api.alsa.period-num",
0,
"api.alsa.headroom",
0,
"api.alsa.start-delay",
0,
"api.alsa.disable-mmap",
false,
"api.alsa.disable-batch",
false,
"api.alsa.disable-tsched",
false,
"api.alsa.use-chmap",
false,
"api.alsa.multi-rate",
true,
"api.alsa.htimestamp",
false,
"latency.internal.rate",
0,
"latency.internal.ns",
0,
"clock.name",
"api.alsa.c-0"
]
}
],
"Format": [ ],
"EnumPortConfig": [
{
"direction": "Output",
"mode": {
"default": "none",
"alt1": "none",
"alt2": "dsp",
"alt3": "convert"
},
"monitor": {
"default": false,
"alt1": false,
"alt2": true
},
"control": {
"default": false,
"alt1": false,
"alt2": true
}
}
],
"PortConfig": [
{
"direction": "Output",
"mode": "dsp",
"monitor": true,
"control": false,
"format": {
"mediaType": "audio",
"mediaSubtype": "raw",
"format": "F32P",
"channels": 4,
"position": [ "FL", "FR", "RL", "RR" ]
}
}
],
"Latency": [
{
"direction": "Input",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
],
"ProcessLatency": [
{
"quantum": 0.000000,
"rate": 0,
"ns": 0
}
]
}
}
},
{
"id": 32,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "input",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FL",
"format.dsp": "32 bit float mono audio",
"node.id": 45,
"object.id": 32,
"object.path": "alsa:pcm:0:hw:sofhdadsp,5:playback:playback_0",
"object.serial": 51,
"port.alias": "HDMI / DisplayPort 3 Output:playback_FL",
"port.direction": "in",
"port.id": 0,
"port.name": "playback_FL",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 44,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FL",
"format.dsp": "32 bit float mono audio",
"node.id": 45,
"object.id": 44,
"object.path": "alsa:pcm:0:hw:sofhdadsp,5:playback:monitor_0",
"object.serial": 52,
"port.alias": "HDMI / DisplayPort 3 Output:monitor_FL",
"port.direction": "out",
"port.id": 0,
"port.monitor": true,
"port.name": "monitor_FL"
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 42,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "input",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FR",
"format.dsp": "32 bit float mono audio",
"node.id": 45,
"object.id": 42,
"object.path": "alsa:pcm:0:hw:sofhdadsp,5:playback:playback_1",
"object.serial": 53,
"port.alias": "HDMI / DisplayPort 3 Output:playback_FR",
"port.direction": "in",
"port.id": 1,
"port.name": "playback_FR",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 43,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FR",
"format.dsp": "32 bit float mono audio",
"node.id": 45,
"object.id": 43,
"object.path": "alsa:pcm:0:hw:sofhdadsp,5:playback:monitor_1",
"object.serial": 54,
"port.alias": "HDMI / DisplayPort 3 Output:monitor_FR",
"port.direction": "out",
"port.id": 1,
"port.monitor": true,
"port.name": "monitor_FR"
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 41,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "input",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FL",
"format.dsp": "32 bit float mono audio",
"node.id": 46,
"object.id": 41,
"object.path": "alsa:pcm:0:hw:sofhdadsp,4:playback:playback_0",
"object.serial": 55,
"port.alias": "HDMI / DisplayPort 2 Output:playback_FL",
"port.direction": "in",
"port.id": 0,
"port.name": "playback_FL",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 51,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FL",
"format.dsp": "32 bit float mono audio",
"node.id": 46,
"object.id": 51,
"object.path": "alsa:pcm:0:hw:sofhdadsp,4:playback:monitor_0",
"object.serial": 56,
"port.alias": "HDMI / DisplayPort 2 Output:monitor_FL",
"port.direction": "out",
"port.id": 0,
"port.monitor": true,
"port.name": "monitor_FL"
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 52,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "input",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FR",
"format.dsp": "32 bit float mono audio",
"node.id": 46,
"object.id": 52,
"object.path": "alsa:pcm:0:hw:sofhdadsp,4:playback:playback_1",
"object.serial": 57,
"port.alias": "HDMI / DisplayPort 2 Output:playback_FR",
"port.direction": "in",
"port.id": 1,
"port.name": "playback_FR",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 53,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FR",
"format.dsp": "32 bit float mono audio",
"node.id": 46,
"object.id": 53,
"object.path": "alsa:pcm:0:hw:sofhdadsp,4:playback:monitor_1",
"object.serial": 58,
"port.alias": "HDMI / DisplayPort 2 Output:monitor_FR",
"port.direction": "out",
"port.id": 1,
"port.monitor": true,
"port.name": "monitor_FR"
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 54,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "input",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FL",
"format.dsp": "32 bit float mono audio",
"node.id": 47,
"object.id": 54,
"object.path": "alsa:pcm:0:hw:sofhdadsp,3:playback:playback_0",
"object.serial": 59,
"port.alias": "HDMI / DisplayPort 1 Output:playback_FL",
"port.direction": "in",
"port.id": 0,
"port.name": "playback_FL",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 55,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FL",
"format.dsp": "32 bit float mono audio",
"node.id": 47,
"object.id": 55,
"object.path": "alsa:pcm:0:hw:sofhdadsp,3:playback:monitor_0",
"object.serial": 60,
"port.alias": "HDMI / DisplayPort 1 Output:monitor_FL",
"port.direction": "out",
"port.id": 0,
"port.monitor": true,
"port.name": "monitor_FL"
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 56,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "input",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FR",
"format.dsp": "32 bit float mono audio",
"node.id": 47,
"object.id": 56,
"object.path": "alsa:pcm:0:hw:sofhdadsp,3:playback:playback_1",
"object.serial": 61,
"port.alias": "HDMI / DisplayPort 1 Output:playback_FR",
"port.direction": "in",
"port.id": 1,
"port.name": "playback_FR",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 57,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FR",
"format.dsp": "32 bit float mono audio",
"node.id": 47,
"object.id": 57,
"object.path": "alsa:pcm:0:hw:sofhdadsp,3:playback:monitor_1",
"object.serial": 62,
"port.alias": "HDMI / DisplayPort 1 Output:monitor_FR",
"port.direction": "out",
"port.id": 1,
"port.monitor": true,
"port.name": "monitor_FR"
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 58,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "input",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FL",
"format.dsp": "32 bit float mono audio",
"node.id": 48,
"object.id": 58,
"object.path": "alsa:pcm:0:hw:sofhdadsp:playback:playback_0",
"object.serial": 63,
"port.alias": "Speaker + Headphones:playback_FL",
"port.direction": "in",
"port.id": 0,
"port.name": "playback_FL",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 59,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FL",
"format.dsp": "32 bit float mono audio",
"node.id": 48,
"object.id": 59,
"object.path": "alsa:pcm:0:hw:sofhdadsp:playback:monitor_0",
"object.serial": 64,
"port.alias": "Speaker + Headphones:monitor_FL",
"port.direction": "out",
"port.id": 0,
"port.monitor": true,
"port.name": "monitor_FL"
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 60,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "input",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FR",
"format.dsp": "32 bit float mono audio",
"node.id": 48,
"object.id": 60,
"object.path": "alsa:pcm:0:hw:sofhdadsp:playback:playback_1",
"object.serial": 65,
"port.alias": "Speaker + Headphones:playback_FR",
"port.direction": "in",
"port.id": 1,
"port.name": "playback_FR",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 61,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FR",
"format.dsp": "32 bit float mono audio",
"node.id": 48,
"object.id": 61,
"object.path": "alsa:pcm:0:hw:sofhdadsp:playback:monitor_1",
"object.serial": 66,
"port.alias": "Speaker + Headphones:monitor_FR",
"port.direction": "out",
"port.id": 1,
"port.monitor": true,
"port.name": "monitor_FR"
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Output",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Input",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 62,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FL",
"format.dsp": "32 bit float mono audio",
"node.id": 49,
"object.id": 62,
"object.path": "alsa:pcm:0:hw:sofhdadsp:capture:capture_0",
"object.serial": 67,
"port.alias": "Headphones Stereo Microphone:capture_FL",
"port.direction": "out",
"port.id": 0,
"port.name": "capture_FL",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 63,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FR",
"format.dsp": "32 bit float mono audio",
"node.id": 49,
"object.id": 63,
"object.path": "alsa:pcm:0:hw:sofhdadsp:capture:capture_1",
"object.serial": 68,
"port.alias": "Headphones Stereo Microphone:capture_FR",
"port.direction": "out",
"port.id": 1,
"port.name": "capture_FR",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 64,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FL",
"format.dsp": "32 bit float mono audio",
"node.id": 50,
"object.id": 64,
"object.path": "alsa:pcm:0:hw:sofhdadsp,6:capture:capture_0",
"object.serial": 69,
"port.alias": "Digital Microphone:capture_FL",
"port.direction": "out",
"port.id": 0,
"port.name": "capture_FL",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 65,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "FR",
"format.dsp": "32 bit float mono audio",
"node.id": 50,
"object.id": 65,
"object.path": "alsa:pcm:0:hw:sofhdadsp,6:capture:capture_1",
"object.serial": 70,
"port.alias": "Digital Microphone:capture_FR",
"port.direction": "out",
"port.id": 1,
"port.name": "capture_FR",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 66,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "RL",
"format.dsp": "32 bit float mono audio",
"node.id": 50,
"object.id": 66,
"object.path": "alsa:pcm:0:hw:sofhdadsp,6:capture:capture_2",
"object.serial": 71,
"port.alias": "Digital Microphone:capture_RL",
"port.direction": "out",
"port.id": 2,
"port.name": "capture_RL",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 67,
"type": "PipeWire:Interface:Port",
"version": 3,
"permissions": [ "r", "x", "m" ],
"info": {
"direction": "output",
"change-mask": [ "props", "params" ],
"props": {
"audio.channel": "RR",
"format.dsp": "32 bit float mono audio",
"node.id": 50,
"object.id": 67,
"object.path": "alsa:pcm:0:hw:sofhdadsp,6:capture:capture_3",
"object.serial": 72,
"port.alias": "Digital Microphone:capture_RR",
"port.direction": "out",
"port.id": 3,
"port.name": "capture_RR",
"port.physical": true,
"port.terminal": true
},
"params": {
"EnumFormat": [
{
"mediaType": "audio",
"mediaSubtype": "dsp",
"format": "F32P"
}
],
"Meta": [
{
"type": "Header",
"size": 32
}
],
"IO": [
{
"id": "Buffers",
"size": 8
}
],
"Format": [ ],
"Buffers": [ ],
"Latency": [
{
"direction": "Input",
"minQuantum": 0.000000,
"maxQuantum": 0.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
},
{
"direction": "Output",
"minQuantum": 1.000000,
"maxQuantum": 1.000000,
"minRate": 0,
"maxRate": 0,
"minNs": 0,
"maxNs": 0
}
]
}
}
},
{
"id": 68,
"type": "PipeWire:Interface:Client",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"change-mask": [ "props" ],
"props": {
"application.icon-name": "multimedia-volume-control",
"application.id": "org.gnome.VolumeControl",
"application.language": "en_US.UTF-8",
"application.name": "GNOME Shell Volume Control",
"application.process.binary": "gnome-shell",
"application.process.host": "kali",
"application.process.id": 3058,
"application.process.machine-id": "8706749e1f164525bd3b126e02293604",
"application.process.user": "ll",
"application.version": 44.099998,
"client.api": "pipewire-pulse",
"clock.power-of-two-quantum": true,
"config.name": "pipewire-pulse.conf",
"core.name": "pipewire-ll-2771",
"core.version": "0.3.78",
"cpu.max-align": 32,
"default.clock.max-quantum": 2048,
"default.clock.min-quantum": 32,
"default.clock.quantum": 1024,
"default.clock.quantum-limit": 8192,
"default.clock.rate": 48000,
"default.video.height": 480,
"default.video.rate.denom": 1,
"default.video.rate.num": 25,
"default.video.width": 640,
"link.max-buffers": 64,
"log.level": 2,
"mem.allow-mlock": true,
"mem.warn-mlock": false,
"module.id": 2,
"object.id": 68,
"object.serial": 73,
"pipewire.access": "unrestricted",
"pipewire.protocol": "protocol-native",
"pipewire.sec.gid": 1000,
"pipewire.sec.pid": 2771,
"pipewire.sec.uid": 1000,
"pulse.server.type": "unix",
"settings.check-quantum": false,
"settings.check-rate": false,
"window.x11.display": ":1"
}
}
},
{
"id": 69,
"type": "PipeWire:Interface:Client",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"change-mask": [ "props" ],
"props": {
"application.icon-name": "multimedia-volume-control",
"application.id": "org.gnome.VolumeControl",
"application.language": "en_US.UTF-8",
"application.name": "GNOME Volume Control Media Keys",
"application.process.binary": "gsd-media-keys",
"application.process.host": "kali",
"application.process.id": 3387,
"application.process.machine-id": "8706749e1f164525bd3b126e02293604",
"application.process.user": "ll",
"application.version": "",
"client.api": "pipewire-pulse",
"clock.power-of-two-quantum": true,
"config.name": "pipewire-pulse.conf",
"core.name": "pipewire-ll-2771",
"core.version": "0.3.78",
"cpu.max-align": 32,
"default.clock.max-quantum": 2048,
"default.clock.min-quantum": 32,
"default.clock.quantum": 1024,
"default.clock.quantum-limit": 8192,
"default.clock.rate": 48000,
"default.video.height": 480,
"default.video.rate.denom": 1,
"default.video.rate.num": 25,
"default.video.width": 640,
"link.max-buffers": 64,
"log.level": 2,
"mem.allow-mlock": true,
"mem.warn-mlock": false,
"module.id": 2,
"object.id": 69,
"object.serial": 74,
"pipewire.access": "unrestricted",
"pipewire.protocol": "protocol-native",
"pipewire.sec.gid": 1000,
"pipewire.sec.pid": 2771,
"pipewire.sec.uid": 1000,
"pulse.server.type": "unix",
"settings.check-quantum": false,
"settings.check-rate": false,
"window.x11.display": ":1"
}
}
},
{
"id": 70,
"type": "PipeWire:Interface:Client",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"change-mask": [ "props" ],
"props": {
"application.language": "en_US.UTF-8",
"application.name": "xdg-desktop-portal",
"application.process.binary": "xdg-desktop-portal",
"application.process.host": "kali",
"application.process.id": 3684,
"application.process.user": "ll",
"clock.power-of-two-quantum": true,
"core.name": "pipewire-ll-3684",
"core.version": "0.3.78",
"cpu.max-align": 32,
"default.clock.max-quantum": 2048,
"default.clock.min-quantum": 32,
"default.clock.quantum": 1024,
"default.clock.quantum-limit": 8192,
"default.clock.rate": 48000,
"default.video.height": 480,
"default.video.rate.denom": 1,
"default.video.rate.num": 25,
"default.video.width": 640,
"link.max-buffers": 64,
"log.level": 0,
"mem.allow-mlock": true,
"mem.warn-mlock": false,
"module.id": 2,
"object.id": 70,
"object.serial": 75,
"pipewire.access": "unrestricted",
"pipewire.access.portal.is_portal": true,
"pipewire.protocol": "protocol-native",
"pipewire.sec.gid": 1000,
"pipewire.sec.pid": 3684,
"pipewire.sec.uid": 1000,
"portal.monitor": "Camera",
"settings.check-quantum": false,
"settings.check-rate": false,
"window.x11.display": ":1"
}
}
},
{
"id": 71,
"type": "PipeWire:Interface:Client",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"change-mask": [ "props" ],
"props": {
"application.language": "en_US.UTF-8",
"application.name": "Mutter",
"application.process.binary": "gnome-shell",
"application.process.host": "kali",
"application.process.id": 3058,
"application.process.machine-id": "8706749e1f164525bd3b126e02293604",
"application.process.user": "ll",
"client.api": "pipewire-pulse",
"clock.power-of-two-quantum": true,
"config.name": "pipewire-pulse.conf",
"core.name": "pipewire-ll-2771",
"core.version": "0.3.78",
"cpu.max-align": 32,
"default.clock.max-quantum": 2048,
"default.clock.min-quantum": 32,
"default.clock.quantum": 1024,
"default.clock.quantum-limit": 8192,
"default.clock.rate": 48000,
"default.video.height": 480,
"default.video.rate.denom": 1,
"default.video.rate.num": 25,
"default.video.width": 640,
"link.max-buffers": 64,
"log.level": 2,
"mem.allow-mlock": true,
"mem.warn-mlock": false,
"module.id": 2,
"object.id": 71,
"object.serial": 76,
"pipewire.access": "unrestricted",
"pipewire.protocol": "protocol-native",
"pipewire.sec.gid": 1000,
"pipewire.sec.pid": 2771,
"pipewire.sec.uid": 1000,
"pulse.server.type": "unix",
"settings.check-quantum": false,
"settings.check-rate": false,
"window.x11.display": ":1"
}
}
},
{
"id": 72,
"type": "PipeWire:Interface:Client",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"change-mask": [ "props" ],
"props": {
"application.language": "en_US.UTF-8",
"application.name": "gsd-power",
"application.process.binary": "gsd-power",
"application.process.host": "kali",
"application.process.id": 3388,
"application.process.machine-id": "8706749e1f164525bd3b126e02293604",
"application.process.user": "ll",
"client.api": "pipewire-pulse",
"clock.power-of-two-quantum": true,
"config.name": "pipewire-pulse.conf",
"core.name": "pipewire-ll-2771",
"core.version": "0.3.78",
"cpu.max-align": 32,
"default.clock.max-quantum": 2048,
"default.clock.min-quantum": 32,
"default.clock.quantum": 1024,
"default.clock.quantum-limit": 8192,
"default.clock.rate": 48000,
"default.video.height": 480,
"default.video.rate.denom": 1,
"default.video.rate.num": 25,
"default.video.width": 640,
"link.max-buffers": 64,
"log.level": 2,
"mem.allow-mlock": true,
"mem.warn-mlock": false,
"module.id": 2,
"object.id": 72,
"object.serial": 87,
"pipewire.access": "unrestricted",
"pipewire.protocol": "protocol-native",
"pipewire.sec.gid": 1000,
"pipewire.sec.pid": 2771,
"pipewire.sec.uid": 1000,
"pulse.server.type": "unix",
"settings.check-quantum": false,
"settings.check-rate": false,
"window.x11.display": ":1",
"window.x11.screen": 0
}
}
},
{
"id": 76,
"type": "PipeWire:Interface:Client",
"version": 3,
"permissions": [ "r", "w", "x", "m" ],
"info": {
"change-mask": [ "props" ],
"props": {
"application.language": "en_US.UTF-8",
"application.name": "pw-dump",
"application.process.binary": "pw-dump",
"application.process.host": "kali",
"application.process.id": 105221,
"application.process.user": "ll",
"clock.power-of-two-quantum": true,
"core.name": "pipewire-ll-105221",
"core.version": "0.3.78",
"cpu.max-align": 32,
"default.clock.max-quantum": 2048,
"default.clock.min-quantum": 32,
"default.clock.quantum": 1024,
"default.clock.quantum-limit": 8192,
"default.clock.rate": 48000,
"default.video.height": 480,
"default.video.rate.denom": 1,
"default.video.rate.num": 25,
"default.video.width": 640,
"link.max-buffers": 64,
"log.level": 0,
"mem.allow-mlock": true,
"mem.warn-mlock": false,
"module.id": 2,
"object.id": 76,
"object.serial": 94,
"pipewire.access": "unrestricted",
"pipewire.protocol": "protocol-native",
"pipewire.sec.gid": 1000,
"pipewire.sec.pid": 105221,
"pipewire.sec.uid": 1000,
"settings.check-quantum": false,
"settings.check-rate": false,
"window.x11.display": ":1"
}
}
}
]

arnaudr

arnaudr

2023-09-11 14:06

manager   ~0018460

Last edited: 2023-09-11 14:07

Ok, well, that tells me nothing, sorry.

Can you paste the output of « sudo journalctl -b -k | grep -Ei "ALSA|HDA|sof|HDMI|snd[_-]|sound|hda.codec|hda.intel" » please? Put the output between two tags <TAG> and </TAG> (replace "TAG" with "pre") for nice formatting. Thanks!

lastlibertarian

lastlibertarian

2023-09-11 15:37

reporter   ~0018461

<pre>
Sep 10 23:16:52 kali kernel: software IO TLB: area num 32.
Sep 10 23:16:52 kali kernel: pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <[email protected]>
Sep 10 23:16:52 kali kernel: PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
Sep 10 23:16:52 kali kernel: software IO TLB: mapped [mem 0x000000002a933000-0x000000002e933000] (64MB)
Sep 10 23:16:52 kali systemd[1]: Configuration file /etc/systemd/system/huawei-soundcard-headphones-monitor.service is marked executable. Please remove executable permission bits. Proceeding anyway.
Sep 10 23:16:52 kali kernel: snd_hda_intel 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
Sep 10 23:16:52 kali kernel: snd_hda_intel 0000:00:1f.3: Digital mics found on Skylake+ platform, using SOF driver
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: Digital mics found on Skylake+ platform, using SOF driver
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: enabling device (0000 -> 0002)
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if 0x040100
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: use msi interrupt mode
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: hda codecs found, mask 5
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: using HDA machine driver skl_hda_dsp_generic now
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: DMICs detected in NHLT tables: 4
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: firmware: direct-loading firmware intel/sof/sof-adl.ri
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: Firmware info: version 2:2:0-57864
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: Firmware: ABI 3:22:1 Kernel ABI 3:23:0
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: unknown sof_ext_man header type 3 size 0x30
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: Firmware info: version 2:2:0-57864
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: Firmware: ABI 3:22:1 Kernel ABI 3:23:0
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: firmware: direct-loading firmware intel/sof-tplg/sof-hda-generic-4ch.tplg
Sep 10 23:16:52 kali kernel: sof-audio-pci-intel-tgl 0000:00:1f.3: Topology: ABI 3:22:1 Kernel ABI 3:23:0
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: Parent card not yet available, widget card binding deferred
Sep 10 23:16:52 kali kernel: snd_hda_codec_conexant ehdaudio0D0: SN6140: BIOS auto-probing.
Sep 10 23:16:52 kali kernel: snd_hda_codec_conexant ehdaudio0D0: autoconfig for SN6140: line_outs=1 (0x17/0x0/0x0/0x0/0x0) type:speaker
Sep 10 23:16:52 kali kernel: snd_hda_codec_conexant ehdaudio0D0: speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
Sep 10 23:16:52 kali kernel: snd_hda_codec_conexant ehdaudio0D0: hp_outs=1 (0x16/0x0/0x0/0x0/0x0)
Sep 10 23:16:52 kali kernel: snd_hda_codec_conexant ehdaudio0D0: mono: mono_out=0x0
Sep 10 23:16:52 kali kernel: snd_hda_codec_conexant ehdaudio0D0: inputs:
Sep 10 23:16:52 kali kernel: snd_hda_codec_conexant ehdaudio0D0: Mic=0x19
Sep 10 23:16:52 kali kernel: snd_hda_codec_conexant ehdaudio0D0: ASoC: sink widget AIF1TX overwritten
Sep 10 23:16:52 kali kernel: snd_hda_codec_conexant ehdaudio0D0: ASoC: source widget AIF1RX overwritten
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget hifi3 overwritten
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget hifi2 overwritten
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget hifi1 overwritten
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: source widget Codec Output Pin1 overwritten
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget Codec Input Pin1 overwritten
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget Analog Codec Playback overwritten
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget Digital Codec Playback overwritten
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget Alt Analog Codec Playback overwritten
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: source widget Analog Codec Capture overwritten
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: source widget Digital Codec Capture overwritten
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: source widget Alt Analog Codec Capture overwritten
Sep 10 23:16:52 kali kernel: skl_hda_dsp_generic skl_hda_dsp_generic: hda_dsp_hdmi_build_controls: no PCM in topology for HDMI converter 3
Sep 10 23:16:52 kali kernel: input: sof-hda-dsp Mic as /devices/pci0000:00/0000:00:1f.3/skl_hda_dsp_generic/sound/card0/input14
Sep 10 23:16:52 kali kernel: input: sof-hda-dsp Headphone as /devices/pci0000:00/0000:00:1f.3/skl_hda_dsp_generic/sound/card0/input15
Sep 10 23:16:52 kali kernel: input: sof-hda-dsp HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1f.3/skl_hda_dsp_generic/sound/card0/input18
Sep 10 23:16:52 kali kernel: input: sof-hda-dsp HDMI/DP,pcm=4 as /devices/pci0000:00/0000:00:1f.3/skl_hda_dsp_generic/sound/card0/input19
Sep 10 23:16:52 kali kernel: input: sof-hda-dsp HDMI/DP,pcm=5 as /devices/pci0000:00/0000:00:1f.3/skl_hda_dsp_generic/sound/card0/input20
Sep 10 23:24:21 kali kernel: (NULL device ): firmware: direct-loading firmware intel/sof-tplg/sof-hda-generic-4ch.tplg
Sep 11 09:50:34 kali kernel: (NULL device
): firmware: direct-loading firmware intel/sof-tplg/sof-hda-generic-4ch.tplg
Sep 11 14:21:23 kali kernel: (NULL device ): firmware: direct-loading firmware intel/sof-tplg/sof-hda-generic-4ch.tplg
Sep 11 15:16:27 kali kernel: (NULL device
): firmware: direct-loading firmware intel/sof-tplg/sof-hda-generic-4ch.tplg
Sep 11 16:10:13 kali kernel: (NULL device *): firmware: direct-loading firmware intel/sof-tplg/sof-hda-generic-4ch.tplg
</pre>

arnaudr

arnaudr

2023-09-12 01:41

manager   ~0018462

No obvious error in the log, however this line caught my eyes:

Sep 10 23:16:52 kali systemd[1]: Configuration file /etc/systemd/system/huawei-soundcard-headphones-monitor.service [...]

What is this file? it doesn't seem to be provided by the distro. I assume that either you added it manually, either you installed some third-party package.

You can probably check the status of this service with « systemctl status huawei-soundcard-headphones-monitor.service » and you can also try « dpkg -S huawei-soundcard-headphones-monitor.service » to see if this file was installed by a package.

You said:

I connected wired headphones and while the headphones are plugged into the connector, the speakers work, but the headphones do not work). As soon as I turn off the headphones, the sound disappears completely.

And you have a service named « headphones-monitor » running... This is very likely that this service is related to your problems.

lastlibertarian

lastlibertarian

2023-09-12 09:39

reporter   ~0018464

Hello. I installed third party packages. Perhaps this package was installed by me too. But it didn’t change the situation, because the sound didn’t work from the very beginning. And judging by the output, the package is inactive.
<pre>
$ systemctl status huawei-soundcard-headphones-monitor.service
× huawei-soundcard-headphones-monitor.service - Huawei soundcard headphones monitor
Loaded: loaded (/etc/systemd/system/huawei-soundcard-headphones-monitor.service; enabled; preset: disabled)
Active: failed (Result: exit-code) since Sun 2023-09-10 23:16:54 CEST; 1 day 12h ago
Duration: 1ms
Main PID: 1419 (code=exited, status=203/EXEC)
CPU: 1ms

Sep 10 23:16:54 kali systemd[1]: huawei-soundcard-headphones-monitor.service: Scheduled restart job, restart counter is at 5.
Sep 10 23:16:54 kali systemd[1]: huawei-soundcard-headphones-monitor.service: Start request repeated too quickly.
Sep 10 23:16:54 kali systemd[1]: huawei-soundcard-headphones-monitor.service: Failed with result 'exit-code'.
Sep 10 23:16:54 kali systemd[1]: Failed to start huawei-soundcard-headphones-monitor.service - Huawei soundcard headphones monitor.
</pre>

<pre>
$ dpkg -S huawei-soundcard-headphones-monitor.service
dpkg-query: no path found matching pattern huawei-soundcard-headphones-monitor.service
</pre>

lastlibertarian

lastlibertarian

2023-09-12 09:57

reporter   ~0018466

I also removed executable permission and disabled the service with:
<pre>
$ sudo chmod 644 /etc/systemd/system/huawei-soundcard-headphones-monitor.service
$ sudo systemctl disable huawei-soundcard-headphones-monitor.service
</pre>
but the output still there
<pre>
Sep 10 23:16:52 kali systemd[1]: Configuration file /etc/systemd/system/huawei-soundcard-headphones-monitor.service is marked executable. Please remove executable permission bits. Proceeding anyway.
</pre>
In general, I don’t remember installing this package by me, but anything is possible)

lastlibertarian

lastlibertarian

2023-09-12 10:10

reporter   ~0018467

)) It was log output.It was me. I installed it from here https://github.com/Smoren/huawei-ubuntu-sound-fix , but it did not change the situation. Removed the service. The problem still exists. The symptoms are the same.

arnaudr

arnaudr

2023-09-13 01:15

manager   ~0018468

Ok, it looks to me that your best bet is to get the workaround from https://github.com/Smoren/huawei-ubuntu-sound-fix to work. I had a quick look, the script requires the package 'alsa-utils' AND 'alsa-tools' (however the install script only install alsa-tools...)

So, please, make sure you have both installed:

<pre>
sudo apt install -y alsa-utils alsa-tools
</pre>

Then try again with latest version of this git repo:

<pre>
cd <PATH-TO>/huawei-ubuntu-sound-fix
git pull # make sure your local copy is up-to-date
./install.sh
</pre>

Then check again the output of:

<pre>
systemctl status huawei-soundcard-headphones-monitor.service
</pre>

lastlibertarian

lastlibertarian

2023-09-13 08:53

reporter   ~0018469

Hello. Did this. When the service is running, the sound is correctly sent to wired headphones. But if you take out the headphones, the speakers are silent. If you stop the service, then when the headphones are plugged into the laptop, the sound comes from the computer speakers but not from the headphones. If you remove the headphones there is no sound at all.

arnaudr

arnaudr

2023-09-13 10:19

manager   ~0018470

Sounds like progress? Depends what you need more, headphones or speakers...

More seriously, check what the script does: https://github.com/Smoren/huawei-ubuntu-sound-fix/blob/master/huawei-soundcard-headphones-monitor.sh Seems to be highly specific to a model of laptop (Huawei Matebook 14s), maybe your laptop is slightly different, and the commands of the script need to be adjusted.

At this point you should open an issue straight at https://github.com/Smoren/huawei-ubuntu-sound-fix, the person over there is the specialist, they might be able to help you.

There's not much more I can do here. Plus, this is definitely not a bug in Kali, it's just hardware poorly supported in Linux, cause the vendor (Huawei in this case) didn't test and/or care about Linux support.

Good luck :)

Issue History

Date Modified Username Field Change
2023-08-30 19:13 lastlibertarian New Issue
2023-08-30 19:16 lastlibertarian Note Added: 0018418
2023-08-31 00:26 pizdinio Note Added: 0018422
2023-09-01 21:50 lastlibertarian Note Added: 0018433
2023-09-03 15:32 Naveen Ch Note Added: 0018434
2023-09-06 03:36 arnaudr Note Added: 0018442
2023-09-08 18:14 lastlibertarian File Added: Screenshot from 2023-09-08 20-06-41.png
2023-09-08 18:14 lastlibertarian Note Added: 0018453
2023-09-11 02:34 arnaudr Note Added: 0018457
2023-09-11 13:03 lastlibertarian Note Added: 0018458
2023-09-11 13:03 lastlibertarian Note Added: 0018459
2023-09-11 14:06 arnaudr Note Added: 0018460
2023-09-11 14:07 arnaudr Note Edited: 0018460
2023-09-11 15:37 lastlibertarian Note Added: 0018461
2023-09-12 01:41 arnaudr Note Added: 0018462
2023-09-12 09:39 lastlibertarian Note Added: 0018464
2023-09-12 09:57 lastlibertarian Note Added: 0018466
2023-09-12 10:10 lastlibertarian Note Added: 0018467
2023-09-13 01:15 arnaudr Note Added: 0018468
2023-09-13 08:53 lastlibertarian Note Added: 0018469
2023-09-13 10:19 arnaudr Note Added: 0018470
2023-09-13 10:20 arnaudr Assigned To => arnaudr
2023-09-13 10:20 arnaudr Status new => closed
2023-09-13 10:20 arnaudr Resolution open => won't fix